/***************************************************************************
                         bit_alloc.h  -  description
                             -------------------
   Functions for calculating the bit allocation values.
                             -------------------
    begin                : Wed Sep 28 2005
    copyright            : (C) 2005 by Dennis Lew
    email                : dennis_L76@yahoo.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef _BIT_ALLOC_H_
#define _BIT_ALLOC_H_

#include "common/typedefs.h"
#include "audio_block.h"

#ifdef __cplusplus
extern "C" {
#endif

/* Update values in the bap[] array.  The bap[] values are only
    calculated for the channels that need updating.
      INPUT: cpl     - Pointer to the coupling channel info.  This 
                        function assumes there is at least one
                        CH_STRUCT between cpl and lfe.
             lfe     - Pointer to the low frequency enhancement
                        channel info.
             new_bai - Set when new bit allocation info was read
                        into the channel info structures.
             srate   - Sampling rate (Hz). */
void BIT_ALLOC_update_bap(CPL_STRUCT *cpl, LFE_STRUCT *lfe, 
                          u32 new_bai, u32 srate);

#ifdef __cplusplus
};
#endif

#endif

