/***************************************************************************
                       Posix_Thread.c  -  description
                             -------------------
   Implementation of the THREAD API, using the Posix thread library.
                             -------------------
    begin                : Sat Jul 17 2004
    copyright            : (C) 2004 by Dennis Lew
    email                : dennis_L76@yahoo.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


/* Creates a new thread. */
THREAD new_THREAD(THREAD_FUNC f, void *args)
{
   pthread_t *pt = (pthread_t *)malloc(sizeof(pthread_t));

   if (!pt)
      return NULL;

   if (pthread_create(pt, NULL, f, args)) {
      free(pt);
      return NULL;
   }
   return (THREAD)pt;
}

/* Current thread will wait for termination of given thread.
   Returns non-zero value for success. */
int join_THREAD(THREAD t, void **retval)
{
   pthread_t *pt = (pthread_t *)t;
   
   return (!pthread_join(*pt, retval));
}
