/***************************************************************************
                          display.h  -  description
                             -------------------
   Display module function prototypes.
                             -------------------
    begin                : Fri Nov 26 2004
    copyright            : (C) 2004 by Dennis Lew
    email                : dennis_L76@yahoo.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef __DISPLAY_H__
#define __DISPLAY_H__

#include "common/typedefs.h"
#include "MPEG2_SYS.h"

#define MAX_LAG_TIME    (MPEG2_SYS_CLK_FREQ/10)

#if 0
# define AV_SYNC(local, ref, sync) \
   if ( (ref)&&(sync) ) { \
      ref += sync; \
      if (ref < (local - (MPEG2_SYS_CLK_FREQ/120))) \
         local -= MPEG2_SYS_CLK_FREQ / 120; \
      else if (ref > (local + (MPEG2_SYS_CLK_FREQ/60))) \
         local += MPEG2_SYS_CLK_FREQ /  60; \
      else \
         local  = ref; \
   }

      if ( (ref < (local - (MPEG2_SYS_CLK_FREQ/2)))|| \
           (ref > (local + (MPEG2_SYS_CLK_FREQ/2))) ) { \
         local >>= 1; \
         local  += ref >> 1; \
      } \
      else if (ref < (local - (MPEG2_SYS_CLK_FREQ/ 80))) \
         local  -= MPEG2_SYS_CLK_FREQ /  80; \
      else if (ref > (local + (MPEG2_SYS_CLK_FREQ/120))) \
         local  += MPEG2_SYS_CLK_FREQ / 120; \
      else \
         local   = ref;
#endif

#ifndef _SPEED_TEST_
# define AV_SYNC(local, ref, sync) \
   if ( (ref)&&(sync) ) { \
      ref    += sync; \
      local >>= 2; \
      ref   >>= 2; \
      local  += ref * 3; \
   }
#else
# define AV_SYNC(local, ref, sync)
#endif

#ifdef __cplusplus
extern "C" {
#endif

/* Prepares the display for the incoming 4:2:0 video stream.
      INPUT: src_wid  - Width of the source frame.
             src_hgt  - Height of the source frame.
             disp_wid - Width of the displayed frame.
             disp_hgt - Height of the displayed frame.
      RETURN: Success - Any non-zero value.
              Failure - 0 */
int  DISPLAY_init(u32 src_wid, u32 src_hgt, u32 disp_wid, u32 disp_hgt);

/* Returns the buffer that will hold the reference frames. */
u8  *DISPLAY_ref_buf(u32 size);

/* Called when the display is no longer needed. */
void DISPLAY_done();

/* Returns the width of the frame, this module is expecting.
   This value may not be equal to src_wid, so do not ignore. */
u32  DISPLAY_frame_wid();

/* Returns a pointer to the next frame to be displayed.
   Returns NULL if DISPLAY_init was not called, or failed. */
u8  *DISPLAY_get_next_frame();

/* Called when the next frame should be displayed.
   Returns a non-zero value, if the frame is late. */
u32  DISPLAY_next_frame_done(CLK_VAL pts, CLK_VAL offset);

#ifdef __cplusplus
};
#endif

#endif
