/***************************************************************************
                        vlc_tables.c  -  description
                             -------------------
    begin                : Thu Jun 29 2006
    copyright            : (C) 2006 by Dennis Lew
    email                : dennis_L76@yahoo.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "common/typedefs.h"
#include "PIC_LAYER.h"


#define OFF(v)    0, (v/3)

const u8 VC1_BFRACTION_TAB[] =
{
/* CODE SZ   VAL    CODE SZ   VAL    CODE SZ   VAL    CODE SZ   VAL */
   0xFE, 7, 0xFF,   /* BI frame */
   0xFC, 7, 0x00,   /* this is an error */
   0xFA, 7, 0x78,   0xF8, 7, 0x58,   0xF6, 7, 0x38,   0xF4, 7, 0x18,
   0xF2, 7, 0x67,   0xF0, 7, 0x57,   0xEE, 7, 0x47,   0xEC, 7, 0x37,
   0xEA, 7, 0x27,   0xE8, 7, 0x17,   0xE6, 7, 0x56,   0xE4, 7, 0x16,
   0xE2, 7, 0x45,   0xE0, 7, 0x35,   0xC0, 3, 0x25,   0xA0, 3, 0x15,
   0x80, 3, 0x34,   0x60, 3, 0x14,   0x40, 3, 0x23,   0x20, 3, 0x13,
   0x00, 3, 0x12
},

         VC1_MVMODE0_TAB[] =
{
/* CODE SZ  VAL */
   0x80, 1, VC1_MVMODE_1MV_HALFPIX_BI,
   0x40, 2, VC1_MVMODE_1MV,
   0x20, 3, VC1_MVMODE_1MV_HALFPIX,
   0x10, 4, VC1_MVMODE_INT_COMP,
   0x00, 4, VC1_MVMODE_MIXED_MV
},

         VC1_MVMODE1_TAB[] =
{
/* CODE SZ  VAL */
   0x80, 1, VC1_MVMODE_1MV,
   0x40, 2, VC1_MVMODE_MIXED_MV,
   0x20, 3, VC1_MVMODE_1MV_HALFPIX,
   0x10, 4, VC1_MVMODE_INT_COMP,
   0x00, 4, VC1_MVMODE_1MV_HALFPIX_BI
},

         VC1_MVMODE2_TAB[] =
{
/* CODE SZ  VAL */
   0x80, 1, VC1_MVMODE_1MV_HALFPIX_BI,
   0x40, 2, VC1_MVMODE_1MV,
   0x20, 3, VC1_MVMODE_1MV_HALFPIX,
   0x00, 3, VC1_MVMODE_MIXED_MV
},

         VC1_MVMODE3_TAB[] =
{
/* CODE SZ  VAL */
   0x80, 1, VC1_MVMODE_1MV,
   0x40, 2, VC1_MVMODE_MIXED_MV,
   0x20, 3, VC1_MVMODE_1MV_HALFPIX,
   0x00, 3, VC1_MVMODE_1MV_HALFPIX_BI
},

         VC1_I_CBP_TAB[] =
{
/* CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL */
   0x80, 1,  0*4,  0x7C, 6, 40*4,  0x78, 6, 24*4,  0x77, 8, 14*4,  0x76,OFF(120),
   0x74, 7, 10*4,  0x70, 6, 35*4,  0x60, 4, 32*4,  0x5C, 6,  1*4,  0x5B,OFF(114),
   0x5A,OFF(117),  0x58, 7, 18*4,  0x54, 6, 56*4,  0x50, 6, 48*4,  0x48, 5,  2*4,
   0x47,OFF(111),  0x46, 8, 22*4,  0x44, 7, 28*4,  0x43,OFF(114),  0x42, 8, 27*4,
   0x40, 7,  6*4,  0x3F, 8, 23*4,  0x3E,OFF(108),  0x3C, 7, 34*4,  0x3A, 7, 11*4,
   0x39, 8, 42*4,  0x38,OFF(102),  0x30, 5,  4*4,  0x28, 5,  3*4,  0x26, 7, 19*4,
   0x24, 7, 36*4,  0x23,OFF(108),  0x22,OFF(111),  0x20, 7,  7*4,  0x18, 5, 16*4,
   0x10, 5,  8*4,  0x0E, 7, 52*4,  0x0D, 8, 60*4,  0x0C,OFF( 99),  0x08, 6, 12*4,
   0x04, 6, 20*4,  0x02, 7, 44*4,  0x01,OFF( 93),  0x00, 8, 15*4,
/* 0x76  +132 */
   0xC0, 2, 57*4,  0x80, 2, 62*4,  0x00, 1, 13*4,
/* 0x5B  +141 */
   0x80, 1, 17*4,  0x00, 1, 46*4,
/* 0x5A  +147 */
   0x80, 1, 26*4,  0x40, 2, 63*4,  0x00, 2, 21*4,
/* 0x47  +156 */
   0xE0, 3, 49*4,  0xC0, 3, 41*4,  0x80, 2, 30*4,  0x00, 1, 43*4,
/* 0x43  +168 */
   0x80, 1, 31*4,  0x00, 1, 54*4,
/* 0x3E  +174 */
   0x80, 1, 50*4,  0x00, 1,  9*4,
/* 0x38  +180 */
   0xE0, 3, 53*4,  0xC0, 3, 45*4,  0xA0, 3, 29*4,  0x98, 5, 61*4,  0x90, 5, 25*4,
   0x80, 4, 37*4,  0x00, 1, 39*4,
/* 0x23  +201 */
   0x80, 1,  5*4,  0x00, 1, 59*4,
/* 0x22  +207 */
   0x80, 1, 47*4,  0x00, 1, 38*4,
/* 0x0C  +213 */
   0x80, 1, 55*4,  0x00, 1, 51*4,
/* 0x01  +219 */
   0x80, 1, 33*4,  0x00, 1, 58*4
};


static const u8 VC1_LUMA_DC_DIFF0_TAB[] =
{
/* CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL */
   0x80, 1,   0,   0x40, 2,   1,   0x38, 5,   5,   0x37, 8,  15,   0x36,OFF( 48),
   0x34, 7,  11,   0x30, 6,   7,   0x28, 5,   4,   0x27, 8,  14,   0x26,OFF( 39),
   0x24, 7,  10,   0x20, 6,   6,   0x10, 4,   2,   0x08, 5,   3,   0x07, 8,  13, 
   0x06,OFF( 30),  0x04, 7,   9,   0x03, 8,  12,   0x02,OFF( 75),  0x00, 7,   8, 
/* 0x36   +60 */
   0x80, 1,  19,   0x00, 1,  18, 
/* 0x26   +66 */
   0xC0, 2,  22,   0x80, 2,  24,   0x00, 1,  17, 
/* 0x06   +75 */
   0xC0, 2,  23,   0xA0, 3,  27,   0x80, 3,  26,   0x40, 2,  21,   0x38, 5,  33, 
   0x30, 5,  32,   0x2C, 6,  35,   0x2A, 7,  43,   0x28, 7,  42,   0x20, 5,  30, 
   0x10, 4,  28,   0x0C, 6,  37,   0x08, 6,  38,   0x07,OFF( 42),  0x06, 8,  46, 
   0x05, 8,  44,   0x04, 8,  45,   0x00, 6,  41, 
/* 0x02  +129 */
   0x80, 1,  16,   0x60, 3,  25,   0x5C, 6,  40,   0x58, 6,  39,   0x50, 5,  31, 
   0x4C, 6,  36,   0x48, 6,  34,   0x40, 5,  29,   0x00, 2,  20, 
/* 0x0607  +156 */
   0xFE, 7, 103,   0xFC, 7, 102,   0xFA, 7, 101,   0xF8, 7, 100,   0xF6, 7,  99, 
   0xF4, 7,  98,   0xF2, 7,  97,   0xF0, 7,  96,   0xEE, 7,  95,   0xEC, 7,  94, 
   0xEA, 7,  93,   0xE8, 7,  92,   0xE6, 7,  91,   0xE4, 7,  90,   0xE2, 7,  89, 
   0xE0, 7,  88,   0xDE, 7,  87,   0xDC, 7,  86,   0xDA, 7,  85,   0xD8, 7,  84, 
   0xD6, 7,  83,   0xD4, 7,  82,   0xD2, 7,  81,   0xD0, 7,  80,   0xCE, 7,  79, 
   0xCC, 7,  78,   0xCA, 7,  77,   0xC8, 7,  76,   0xC6, 7,  75,   0xC4, 7,  74, 
   0xC2, 7,  73,   0xC0, 7,  72,   0xBE, 7,  71,   0xBC, 7,  70,   0xBA, 7,  69, 
   0xB8, 7,  68,   0xB6, 7,  67,   0xB4, 7,  66,   0xB2, 7,  65,   0xB0, 7,  64, 
   0xAE, 7,  63,   0xAC, 7,  62,   0xAA, 7,  61,   0xA8, 7,  60,   0xA6, 7,  59, 
   0xA4, 7,  58,   0xA2, 7,  57,   0xA0, 7,  56,   0x9E, 7,  55,   0x9C, 7,  54, 
   0x9A, 7,  48,   0x98, 7,  53,   0x96, 7,  52,   0x94, 7,  51,   0x92, 7,  49, 
   0x90, 7,  50, 
   0x8F, 8, 255,   /* ESC */
   0x8E, 8, 118,   0x8D, 8, 117,   0x8C, 8, 116,   0x8B, 8, 115,   0x8A, 8, 114, 
   0x89, 8, 113,   0x88, 8, 112,   0x87, 8, 111,   0x86, 8, 110,   0x85, 8, 109, 
   0x84, 8, 108,   0x83, 8, 107,   0x82, 8, 106,   0x81, 8, 105,   0x80, 8, 104, 
   0x00, 1,  47
},

                VC1_LUMA_DC_DIFF1_TAB[] =
{
/* CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL */
   0xC0, 2,   1,   0x80, 2,   0,   0x60, 3,   2,   0x50, 4,   4,   0x4C, 6,  12, 
   0x4B, 8,  23,   0x4A, 8,  22,   0x48, 7,  16,   0x40, 5,   7,   0x3C, 6,  11, 
   0x3B, 8,  21,   0x3A,OFF( 54),  0x38, 7,  15,   0x34, 6,  10,   0x33,OFF( 51),
   0x32, 8,  20,   0x30, 7,  14,   0x20, 4,   3,   0x18, 5,   6,   0x14, 6,   9, 
   0x13,OFF( 63),  0x12, 8,  19,   0x10, 7,  13,   0x08, 5,   5,   0x07,OFF( 57),
   0x06, 8,  18,   0x05,OFF( 93),  0x04, 8,  17,   0x00, 6,   8, 
/* 0x3A   +87 */
   0x80, 1,  29,   0x00, 1,  28, 
/* 0x33   +93 */
   0xE0, 3,  37,   0xD0, 4,  41,   0xCE, 7,  52,   0xCC, 7,  54,   0xC8, 6,  49, 
   0xC0, 5,  44,   0xA0, 3,  36,   0x90, 4,  39,   0x80, 4,  40,   0x00, 1,  27, 
/* 0x13  +123 */
   0x80, 1,  26,   0x00, 1,  25, 
/* 0x07  +129 */
   0xC0, 2,  32,   0xA0, 3,  35,   0x9F, 8,  56,   0x9E,OFF( 60),  0x9C, 7,  53, 
   0x9B,OFF( 60),  0x9A,OFF( 69),  0x98, 7,  50,   0x90, 5,  45,   0x88, 5,  43, 
   0x84, 6,  47,   0x80, 6,  46,   0x40, 2,  33,   0x00, 2,  31, 
/* 0x05  +171 */
   0x80, 1,  24,   0x60, 3,  34,   0x58, 5,  42,   0x56, 7,  51,   0x55, 8,  57, 
   0x54, 8,  55,   0x50, 6,  48,   0x40, 4,  38,   0x00, 2,  30, 
/* 0x079E  +198 */
   0x80, 1,  58,   0x00, 1,  60, 
/* 0x079B  +204 */
   0x80, 1,  59,   0x40, 2,  62,   0x20, 3,  66,   0x00, 3,  64, 
/* 0x079A  +216 */
   0x80, 1,  61,   0x60, 3,  65,   0x5F,OFF( 54),  0x5E,OFF( 57),  0x5D,OFF( 60),
   0x5C,OFF( 63),  0x5B,OFF( 66),  0x5A,OFF( 69),  0x59,OFF( 72),  0x58,OFF( 81),
   0x57,OFF( 90),  0x56,OFF( 99),  0x55,OFF(108),  0x54,OFF(117),  0x53,OFF(126),
   0x52,OFF(135),  0x51,OFF(144),  0x50,OFF(153),  0x40, 4,  67,   0x00, 2,  63, 
/* 0x079A5F  +276 */
   0x80, 1,  79,   0x00, 1,  78, 
/* 0x079A5E  +282 */
   0x80, 1,  77,   0x00, 1,  76, 
/* 0x079A5D  +288 */
   0x80, 1,  75,   0x00, 1,  68, 
/* 0x079A5C  +294 */
   0x80, 1,  74,   0x00, 1,  73, 
/* 0x079A5B  +300 */
   0x80, 1,  72,   0x00, 1,  71, 
/* 0x079A5A  +306 */
   0x80, 1,  70,   0x00, 1,  69, 
/* 0x079A59  +312 */
   0xC0, 2, 255,   /* ESC */
   0x80, 2, 118,   0x40, 2, 117,   0x00, 2, 116, 
/* 0x079A58  +324 */
   0xC0, 2, 115,   0x80, 2, 114,   0x40, 2, 113,   0x00, 2, 112, 
/* 0x079A57  +336 */
   0xC0, 2, 111,   0x80, 2, 110,   0x40, 2, 109,   0x00, 2, 108, 
/* 0x079A56  +348 */
   0xC0, 2, 107,   0x80, 2, 106,   0x40, 2, 105,   0x00, 2, 104, 
/* 0x079A55  +360 */
   0xC0, 2, 103,   0x80, 2, 102,   0x40, 2, 101,   0x00, 2, 100, 
/* 0x079A54  +372 */
   0xC0, 2,  99,   0x80, 2,  98,   0x40, 2,  97,   0x00, 2,  96, 
/* 0x079A53  +384 */
   0xC0, 2,  95,   0x80, 2,  94,   0x40, 2,  93,   0x00, 2,  92, 
/* 0x079A52  +396 */
   0xC0, 2,  91,   0x80, 2,  90,   0x40, 2,  89,   0x00, 2,  88, 
/* 0x079A51  +408 */
   0xC0, 2,  87,   0x80, 2,  86,   0x40, 2,  85,   0x00, 2,  84, 
/* 0x079A50  +420 */
   0xC0, 2,  83,   0x80, 2,  82,   0x40, 2,  81,   0x00, 2,  80
},

                VC1_CHROMA_DC_DIFF0_TAB[] =
{
/* CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL */
   0xF8, 5,   7,   0xF4, 6,  13,   0xF2, 7,  15,   0xF1,OFF( 75),  0xF0, 8,  19, 
   0xE8, 5,   6,   0xE4, 6,  12,   0xE0, 6,  10,   0xD0, 4,   4,   0xCC, 6,  11, 
   0xCB,OFF( 60),  0xCA, 8,  18,   0xC9, 8,  22,   0xC8, 8,  17,   0xC4, 6,   9, 
   0xC2, 7,  14,   0xC1,OFF( 60),  0xC0, 8,  21,   0xA0, 3,   2,   0x90, 4,   3, 
   0x88, 5,   5,   0x84, 6,   8,   0x83,OFF( 72),  0x82,OFF( 75),  0x81, 8,  20, 
   0x80, 8,  16,   0x40, 2,   1,   0x00, 2,   0, 
/* 0xF1   +84 */
   0x80, 1,  27,   0x00, 1,  28, 
/* 0xCB   +90 */
   0xE0, 3,  37,   0xC0, 3,  40,   0xA0, 3,  39,   0x90, 4,  43,   0x80, 4,  41, 
   0x00, 1,  25, 
/* 0xC1  +108 */
   0x80, 1,  26,   0x60, 3,  34,   0x40, 3,  36,   0x20, 3,  31,   0x18, 5,  44, 
   0x14, 6,  45,   0x12, 7,  46,   0x11,OFF( 33),  0x10, 8,  47,   0x00, 4,  42, 
/* 0x83  +138 */
   0x80, 1,  23,   0x00, 1,  24, 
/* 0x82  +144 */
   0xC0, 2,  30,   0x80, 2,  29,   0x60, 3,  33,   0x40, 3,  32,   0x20, 3,  35, 
   0x00, 3,  38, 
/* 0xC111  +162 */
   0xFC, 6, 103,   0xF8, 6, 102,   0xF4, 6, 101,   0xF0, 6, 100,   0xEC, 6,  99, 
   0xE8, 6,  98,   0xE4, 6,  97,   0xE0, 6,  96,   0xDC, 6,  95,   0xD8, 6,  94, 
   0xD4, 6,  93,   0xD0, 6,  92,   0xCC, 6,  91,   0xC8, 6,  90,   0xC4, 6,  89, 
   0xC0, 6,  88,   0xBC, 6,  87,   0xB8, 6,  86,   0xB4, 6,  85,   0xB0, 6,  84, 
   0xAC, 6,  83,   0xA8, 6,  82,   0xA4, 6,  81,   0xA0, 6,  80,   0x9C, 6,  79, 
   0x98, 6,  78,   0x94, 6,  77,   0x90, 6,  76,   0x8C, 6,  75,   0x88, 6,  74, 
   0x84, 6,  73,   0x80, 6,  72,   0x7C, 6,  71,   0x78, 6,  70,   0x74, 6,  69, 
   0x70, 6,  68,   0x6C, 6,  67,   0x68, 6,  66,   0x64, 6,  65,   0x60, 6,  64, 
   0x5C, 6,  63,   0x58, 6,  62,   0x54, 6,  61,   0x50, 6,  60,   0x4C, 6,  59, 
   0x48, 6,  58,   0x44, 6,  57,   0x40, 6,  56,   0x3C, 6,  55,   0x38, 6,  54, 
   0x34, 6,  53,   0x30, 6,  52,   0x2C, 6,  51,   0x28, 6,  50,   0x24, 6,  49, 
   0x20, 6,  48, 
   0x1E, 7, 255,   /* ESC */
   0x1C, 7, 118,   0x1A, 7, 117,   0x18, 7, 116,   0x16, 7, 115,   0x14, 7, 114, 
   0x12, 7, 113,   0x10, 7, 112,   0x0E, 7, 111,   0x0C, 7, 110,   0x0A, 7, 109, 
   0x08, 7, 108,   0x06, 7, 107,   0x04, 7, 106,   0x02, 7, 105,   0x00, 7, 104
},

                VC1_CHROMA_DC_DIFF1_TAB[] =
{
/* CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL */
   0xE0, 3,   3,   0xD0, 4,   5,   0xCF, 8,  15,   0xCE,OFF( 48),  0xCC, 7,  12, 
   0xC8, 6,   9,   0xC7,OFF( 60),  0xC6, 8,  14,   0xC4, 7,  11,   0xC0, 6,   8, 
   0xB0, 4,   4,   0xA8, 5,   6,   0xA7,OFF( 93),  0xA6, 8,  13,   0xA4, 7,  10, 
   0xA0, 6,   7,   0x80, 3,   2,   0x40, 2,   1,   0x00, 2,   0, 
/* 0xCE   +57 */
   0xF0, 4,  28,   0xE8, 5,  30,   0xE4, 6,  35,   0xE0, 6,  34,   0xC0, 3,  25, 
   0x80, 2,  20,   0x00, 1,  18, 
/* 0xC7   +78 */
   0xE0, 3,  24,   0xC0, 3,  23,   0xBE, 7,  38,   0xBC, 7,  42,   0xBA, 7,  33, 
   0xB9, 8,  45,   0xB8, 8,  44,   0xB7, 8,  43,   0xB6, 8,  36,   0xB5, 8,  41, 
   0xB4, 8,  40,   0xB3, 8,  39,   0xB2,OFF( 36),  0xB0, 7,  37,   0xA0, 4,  27, 
   0x80, 3,  22,   0x00, 1,  17, 
/* 0xA7  +129 */
   0x80, 1,  16,   0x40, 2,  19,   0x30, 4,  26,   0x28, 5,  29,   0x24, 6,  32, 
   0x20, 6,  31,   0x00, 3,  21, 
/* 0xC7B2  +150 */
   0x80, 1,  46,   0x7F, 8, 103,   0x7E, 8, 102,   0x7D, 8, 101,   0x7C, 8, 100, 
   0x7B, 8,  99,   0x7A, 8,  98,   0x79, 8,  97,   0x78, 8,  96,   0x77, 8,  95, 
   0x76, 8,  94,   0x75, 8,  93,   0x74, 8,  92,   0x73, 8,  91,   0x72, 8,  90, 
   0x71, 8,  89,   0x70, 8,  88,   0x6F, 8,  87,   0x6E, 8,  86,   0x6D, 8,  85, 
   0x6C, 8,  84,   0x6B, 8,  83,   0x6A, 8,  82,   0x69, 8,  81,   0x68, 8,  80, 
   0x67, 8,  79,   0x66, 8,  78,   0x65, 8,  77,   0x64, 8,  76,   0x63, 8,  75, 
   0x62, 8,  74,   0x61, 8,  73,   0x60, 8,  72,   0x5F, 8,  71,   0x5E, 8,  70, 
   0x5D, 8,  69,   0x5C, 8,  68,   0x5B, 8,  67,   0x5A, 8,  66,   0x59, 8,  65, 
   0x58, 8,  64,   0x57, 8,  63,   0x56, 8,  62,   0x55, 8,  61,   0x54, 8,  60, 
   0x53, 8,  59,   0x52, 8,  58,   0x51, 8,  57,   0x50, 8,  56,   0x4F, 8,  55, 
   0x4E, 8,  54,   0x4D, 8,  53,   0x4C, 8,  52,   0x4B, 8,  51,   0x4A, 8,  50, 
   0x49, 8,  49,   0x48, 8,  48,   0x47,OFF( 27),  0x46,OFF( 30),  0x45,OFF( 33),
   0x44,OFF( 36),  0x43,OFF( 39),  0x42,OFF( 42),  0x41,OFF( 45),  0x40,OFF( 48),
   0x00, 2,  47, 
/* 0xC7B247  +348 */
   0x80, 1, 255,   /* ESC */
   0x00, 1, 118, 
/* 0xC7B246  +354 */
   0x80, 1, 117,   0x00, 1, 116, 
/* 0xC7B245  +360 */
   0x80, 1, 115,   0x00, 1, 114, 
/* 0xC7B244  +366 */
   0x80, 1, 113,   0x00, 1, 112, 
/* 0xC7B243  +372 */
   0x80, 1, 111,   0x00, 1, 110, 
/* 0xC7B242  +378 */
   0x80, 1, 109,   0x00, 1, 108, 
/* 0xC7B241  +384 */
   0x80, 1, 107,   0x00, 1, 106, 
/* 0xC7B240  +390 */
   0x80, 1, 105,   0x00, 1, 104
},

                VC1_LUMA_AC_INDEX0_TAB[] =
{
/* CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL */
   0xFC, 6, 134,   0xFB, 8, 155,   0xFA,OFF(165),  0xF9,OFF(195),  0xF8,OFF(216),
   0xF4, 6,  63,   0xF2, 7,  76,   0xF0, 7,  47,   0xE0, 4, 119,   0xD0, 4,   2, 
   0xC8, 5, 125,   0xC6, 7, 141,   0xC5, 8,  87,   0xC4, 8,  36,   0xC0, 6, 130, 
   0xA0, 3,   1,   0x98, 5,  46,   0x90, 5,   3,   0x8F,OFF(195),  0x8E, 8, 153, 
   0x8D, 8, 151,   0x8C,OFF(210),  0x8A, 7, 120,   0x88, 7, 138,   0x80, 5,  20, 
   0x40, 2,   0,   0x3F, 8,   7,   0x3E,OFF(216),  0x3D,OFF(228),  0x3C,OFF(267),
   0x38, 6,   4,   0x36, 7,  72,   0x35, 8,  84,   0x34,OFF(288),  0x30, 6,  57, 
   0x2F, 8, 149,   0x2E,OFF(297),  0x2D, 8, 157,   0x2C, 8, 147,   0x2A, 7,   5, 
   0x29,OFF(327),  0x28,OFF(351),  0x26, 7,  68,   0x25,OFF(369),  0x24,OFF(372),
   0x22, 7,  35,   0x21, 8,  80,   0x20, 8,  22,   0x18, 5,  34,   0x17, 8, 145, 
   0x16,OFF(390),  0x15, 8, 143,   0x14,OFF(420),  0x13, 8,   6,   0x12,OFF(420),
   0x10, 7,  21,   0x00, 4,  19, 
/* 0xFA  +171 */
   0xF8, 5, 160,   0xF0, 5, 179,   0xE0, 4,  82,   0xC0, 3,  95,   0xBC, 6, 183, 
   0xB8, 6,  18,   0xB0, 5, 162,   0xA8, 5,  16,   0xA0, 5, 150,   0x80, 3,  39, 
   0x00, 1,  24, 
/* 0xF9  +204 */
   0x80, 1, 121,   0x60, 3, 139,   0x58, 5, 180,   0x50, 5,  53,   0x48, 5,  30, 
   0x44, 6,  55,   0x40, 6,  54,   0x00, 2, 164, 
/* 0xF8  +228 */
   0xC0, 2,  11,   0xB0, 4, 174,   0xA0, 4, 108,   0x80, 3, 104,   0x40, 2,  77, 
   0x20, 3,  70,   0x00, 3, 158, 
/* 0x8F  +249 */
   0x80, 1,   9,   0x7C, 6, 124,   0x78, 6,  83,   0x74, 6, 129,   0x70, 6, 184, 
   0x60, 4, 144,   0x40, 3, 122,   0x00, 2,  81, 
/* 0x8C  +273 */
   0xC0, 2,  25,   0x80, 2,  49,   0x40, 2, 163,   0x20, 3,  50,   0x1C, 6, 116, 
   0x18, 6,  79,   0x10, 5, 154,   0x00, 4,  60, 
/* 0x3E  +297 */
   0xE0, 3, 167,   0xD0, 4, 100,   0xC0, 4,  51,   0x80, 2,  94,   0x00, 1,  69, 
/* 0x3D  +312 */
   0xF8, 5,  42,   0xF0, 5, 112,   0xE8, 5, 152,   0xE4, 6,  75,   0xE2, 7,  98, 
   0xE0, 7,  62,   0xD0, 4,  28,   0xC0, 4, 173,   0xB0, 4, 136,   0xA0, 4,  14, 
   0x98, 5,  86,   0x90, 5, 148,   0x80, 4, 176,   0x00, 1, 161, 
/* 0x3C  +354 */
   0x80, 1, 159,   0x78, 5, 181,   0x70, 5, 177,   0x68, 5, 111,   0x60, 5, 113, 
   0x40, 3, 102,   0x30, 4, 142,   0x28, 5,  89,   0x24, 6,  61,   0x20, 6,  67, 
   0x00, 3,  26, 
/* 0x34  +387 */
   0x80, 1,  48,   0x60, 3,  91,   0x50, 4,  40,   0x40, 4,  74,   0x20, 3, 165, 
   0x00, 3,  65, 
/* 0x2E  +405 */
   0xF0, 4, 132,   0xEC, 6,  44,   0xE8, 6, 115,   0xE0, 5, 123,   0xC0, 3, 127, 
   0xA0, 3,  85,   0x80, 3,  88,   0x70, 4, 170,   0x6E, 7,  33,   0x6C, 7, 118, 
   0x68, 6, 117,   0x60, 5,  97,   0x40, 3,  12,   0x00, 2,  10, 
/* 0x29  +447 */
   0x80, 1,  64,   0x40, 2, 135,   0x30, 4, 107,   0x20, 4, 169,   0x10, 4, 106, 
   0x0E, 7, 105,   0x0C, 7,  56,   0x08, 6,  31,   0x00, 5,  52, 
/* 0x28  +474 */
   0xC0, 2,  99,   0x80, 2, 131,   0x60, 3, 166,   0x58, 5, 156,   0x50, 5,  29, 
   0x48, 5, 109,   0x40, 5, 110,   0x00, 2,  73, 
/* 0x25  +498 */
   0x80, 1,   8, 
   0x00, 1, 255,   /* ESC */
/* 0x24  +504 */
   0xFC, 6, 137,   0xF8, 6, 101,   0xF0, 5,  92,   0xE8, 5, 128,   0xE6, 7, 103, 
   0xE4, 7,  32,   0xE0, 6,  43,   0xD0, 4,  13,   0xC8, 5, 175,   0xC0, 5, 146, 
   0x80, 2,  96,   0x00, 1,  90, 
/* 0x16  +540 */
   0xF0, 4, 168,   0xE8, 5,  15,   0xE4, 6,  17,   0xE0, 6, 133,   0xD0, 4, 172, 
   0xC0, 4, 171,   0xB8, 5,  41,   0xB0, 5,  66,   0xA8, 5, 178,   0xA0, 5,  78, 
   0x80, 3,  38,   0x00, 1,  93, 
/* 0x14  +576 */
   0x80, 1,  23,   0x00, 1, 126, 
/* 0x12  +582 */
   0xC0, 2,  37,   0xBE, 7, 140,   0xBC, 7,  45,   0xB8, 6, 114,   0xB4, 6, 182, 
   0xB0, 6,  71,   0xA0, 4,  27,   0x80, 3,  59,   0x00, 1,  58
},

                VC1_LUMA_AC_INDEX1_TAB[] =
{
/* CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL */
   0xF0, 4,   2,   0xE0, 4,  27,   0xC0, 3,   1,   0x80, 2,   0,   0x70, 4,  67, 
   0x68, 5,   3,   0x60, 5,   4,   0x58, 5,  37,   0x54, 6,   5,   0x50, 6,  28, 
   0x4C, 6,   6,   0x48, 6,   7,   0x44, 6,  42,   0x40, 6,  46,   0x3C, 6,  75, 
   0x38, 6,  78,   0x34, 6,  49,   0x30, 6,  68,   0x2E, 7,   8,   0x2C, 7,  29, 
   0x2A, 7,  38,   0x28, 7,  55,   0x26, 7,  84,   0x24, 7,  52,   0x22, 7,  80, 
   0x20, 7,  82,   0x1F, 8,   9,   0x1E, 8,  10,   0x1D, 8,  11,   0x1C, 8,  30, 
   0x1B, 8,  43,   0x1A, 8,  90,   0x19, 8,  58,   0x18, 8,  60,   0x17, 8,  62, 
   0x16, 8,  69,   0x15, 8,  86,   0x14, 8,  88,   0x13, 8,  89,   0x12,OFF( 54),
   0x11,OFF( 57),  0x10,OFF( 60),  0x0F,OFF( 63),  0x0E,OFF( 66),  0x0D,OFF( 69),
   0x0C,OFF( 72),  0x0B,OFF( 75),  0x0A,OFF( 78),  0x09,OFF( 81),  0x08,OFF( 84),
   0x06, 7, 255,   /* ESC */
   0x05,OFF( 87),  0x04,OFF(132),  0x03,OFF(153),  0x02,OFF(162),  0x01,OFF(171),
   0x00,OFF(180),
/* 0x12  +171 */
   0x80, 1,  12,   0x00, 1,  13, 
/* 0x11  +177 */
   0x80, 1,  14,   0x00, 1,  47, 
/* 0x10  +183 */
   0x80, 1,  15,   0x00, 1,  31, 
/* 0x0F  +189 */
   0x80, 1,  32,   0x00, 1,  39, 
/* 0x0E  +195 */
   0x80, 1,  44,   0x00, 1,  50, 
/* 0x0D  +201 */
   0x80, 1,  53,   0x00, 1,  56, 
/* 0x0C  +207 */
   0x80, 1,  63,   0x00, 1,  64, 
/* 0x0B  +213 */
   0x80, 1,  70,   0x00, 1,  76, 
/* 0x0A  +219 */
   0x80, 1,  91,   0x00, 1,  92, 
/* 0x09  +225 */
   0x80, 1,  93,   0x00, 1,  94, 
/* 0x08  +231 */
   0x80, 1,  95,   0x40, 2,  16,   0x00, 2,  17, 
/* 0x05  +240 */
   0xF0, 4, 101,   0xE0, 4, 100,   0xD0, 4,  99,   0xC0, 4,  98,   0xB0, 4,  87, 
   0xA0, 4,  85,   0x90, 4,  74,   0x80, 4,  66,   0x70, 4,  57,   0x60, 4,  41, 
   0x50, 4,  36,   0x40, 4,  54,   0x30, 4,  35,   0x20, 4,  26,   0x10, 4,  25, 
   0x00, 4,  24, 
/* 0x04  +288 */
   0xE0, 3,  97,   0xC0, 3,  96,   0xA0, 3,  83,   0x80, 3,  81,   0x60, 3,  61, 
   0x40, 3,  34,   0x20, 3,  23,   0x00, 3,  22, 
/* 0x03  +312 */
   0xC0, 2,  18,   0x80, 2,  19,   0x40, 2,  33,   0x00, 2,  40, 
/* 0x02  +324 */
   0xC0, 2,  45,   0x80, 2,  48,   0x40, 2,  59,   0x00, 2,  51, 
/* 0x01  +336 */
   0xC0, 2,  65,   0x80, 2,  71,   0x40, 2,  77,   0x00, 2,  79, 
/* 0x00  +348 */
   0xE0, 3,  20,   0xC0, 3,  21,   0xA0, 3,  72,   0x80, 3,  73
},

                VC1_LUMA_AC_INDEX2_TAB[] =
{
/* CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL */
   0xFC, 6,   6,   0xFB,OFF(177),  0xFA, 8, 130,   0xF9,OFF(183),  0xF8,OFF(198),
   0xF6, 7,  10, 
   0xF4, 7, 255,   /* ESC */
   0xF3, 8,  60,   0xF2,OFF(210),  0xF0, 7, 126,   0xEF, 8,  15,   0xEE,OFF(228),
   0xED,OFF(231),  0xEC,OFF(252),  0xE8, 6,   7,   0xE0, 5,   4,   0xD0, 4,   2, 
   0xCE, 7,  11,   0xCD, 8,  16,   0xCC,OFF(255),  0xCA, 7,  93,   0xC9, 8, 104, 
   0xC8,OFF(258),  0xC6, 7,  77,   0xC4, 7,  59,   0xC3, 8,  87,   0xC2,OFF(288),
   0xC1, 8,  17,   0xC0,OFF(288),  0xBE, 7,  12,   0xBD,OFF(297),  0xBC,OFF(303),
   0xB8, 6,   8,   0xB0, 5,   5,   0xAF, 8,  78,   0xAE,OFF(309),  0xAD, 8,  61, 
   0xAC, 8, 133,   0xAB,OFF(318),  0xAA,OFF(324),  0xA9, 8,  18,   0xA8,OFF(339),
   0xA4, 6,  58,   0xA0, 6,  86,   0x90, 4,  56,   0x8E, 7,  13,   0x8D,OFF(333),
   0x8C,OFF(345),  0x88, 6,   9,   0x80, 5,  57,   0x60, 3,   1,   0x50, 4,   3, 
   0x4F, 8,  19,   0x4E,OFF(342),  0x4C, 7,  14,   0x4A, 7,  99,   0x49,OFF(357),
   0x48, 8, 108,   0x40, 5,  76,   0x00, 2,   0, 
/* 0xFB  +180 */
   0xC0, 2,  26,   0xA0, 3,  81,   0x80, 3, 131,   0x00, 1, 136, 
/* 0xF9  +192 */
   0xC0, 2, 144,   0xB0, 4, 106,   0xA8, 5,  92,   0xA0, 5, 125,   0x80, 3, 109, 
   0x00, 1,  20, 
/* 0xF8  +210 */
   0xE0, 3, 154,   0xD0, 4,  83,   0xC8, 5,  54,   0xC0, 5, 161,   0x80, 2, 114, 
   0x40, 2,  27,   0x20, 3, 119,   0x00, 3,  35, 
/* 0xF2  +234 */
   0x80, 1,  62,   0x70, 4,  44,   0x6C, 6, 116,   0x6A, 7, 153,   0x68, 7, 157, 
   0x60, 5,  75,   0x50, 4,  71,   0x40, 4,  45,   0x00, 2,  28, 
/* 0xEE  +261 */
   0x80, 1,  21,   0x00, 1, 138, 
/* 0xED  +267 */
   0xE0, 3,  36,   0xC0, 3,  68,   0xB0, 4,  46,   0xA8, 5,  55,   0xA4, 6, 151, 
   0xA0, 6, 147,   0x80, 3,  37,   0x00, 1,  94, 
/* 0xEC  +291 */
   0xC0, 2,  80,   0x80, 2, 146,   0x40, 2,  65,   0x30, 4,  91,   0x20, 4, 123, 
   0x10, 4, 115,   0x00, 4,  72, 
/* 0xCC  +312 */
   0x80, 1,  22,   0x40, 2,  29,   0x20, 3,  38,   0x00, 3, 156, 
/* 0xC8  +324 */
   0xF8, 5, 129,   0xF0, 5, 107,   0xE0, 4,  47,   0xC0, 3, 101,   0x80, 2, 150, 
   0x40, 2, 105,   0x38, 5, 132,   0x34, 6, 122,   0x33, 8, 155,   0x32, 8, 159, 
   0x30, 7, 124,   0x28, 5, 113,   0x20, 5, 141,   0x00, 3,  82, 
/* 0xC2  +366 */
   0x80, 1,  23,   0x00, 1, 140, 
/* 0xC0  +372 */
   0xC0, 2,  30,   0xB0, 4,  48,   0xA0, 4,  49,   0x80, 3,  39,   0x00, 1, 111, 
/* 0xBD  +387 */
   0x80, 1,  79,   0x40, 2, 148,   0x00, 2, 117, 
/* 0xBC  +396 */
   0x80, 1,  63,   0x40, 2,  31,   0x20, 3, 121,   0x10, 4,  84,   0x08, 5,  98, 
   0x00, 5, 103, 
/* 0xAE  +414 */
   0x80, 1,  24,   0x60, 3,  90,   0x40, 3,  40,   0x30, 4,  50,   0x20, 4, 137, 
   0x00, 3,  69, 
/* 0xAB  +432 */
   0xC0, 2,  95,   0x80, 2,  66,   0x00, 1, 142, 
/* 0xAA  +441 */
   0x80, 1, 127,   0x70, 4, 160,   0x60, 4, 102,   0x40, 3, 128,   0x20, 3,  41, 
   0x10, 4, 110,   0x00, 4,  73, 
/* 0xA8  +462 */
   0x80, 1,  88,   0x40, 2,  89,   0x00, 2,  32, 
/* 0x8D  +471 */
   0x80, 1,  25,   0x70, 4,  74,   0x60, 4,  51,   0x40, 3,  42,   0x00, 2, 152, 
/* 0x8C  +486 */
   0xC0, 2,  33,   0xA0, 3, 112,   0x90, 4,  97,   0x80, 4, 118,   0x00, 1, 100, 
/* 0x4E  +501 */
   0xE0, 3,  96,   0xD0, 4, 139,   0xC8, 5, 143,   0xC4, 6, 135,   0xC0, 6, 149, 
   0xA0, 3,  70,   0x80, 3,  43,   0x00, 1,  64, 
/* 0x49  +525 */
   0xC0, 2,  67,   0x80, 2,  34,   0x60, 3, 158,   0x50, 4,  53,   0x48, 5, 145, 
   0x40, 5, 120,   0x20, 3, 134,   0x10, 4,  85,   0x00, 4,  52
},

                VC1_LUMA_AC_INDEX3_TAB[] =
{
/* CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL */
   0xF0, 4,   2,   0xEC, 6,  47,   0xEB,OFF(168),  0xEA, 8, 115,   0xE9,OFF(177),
   0xE8, 8,  90,   0xE4, 6,  93,   0xE2, 7,  58,   0xE1, 8,  43,   0xE0, 8,  67, 
   0xC0, 3,   1,   0xB8, 5,  35,   0xB0, 5,   3,   0xA0, 4,  85,   0x9F,OFF(156),
   0x9E, 8,  29,   0x9C, 7,  36,   0x9B,OFF(162),  0x9A, 8,   7,   0x99,OFF(174),
   0x98, 8, 113,   0x90, 5,  89,   0x88, 5,  17,   0x86, 7, 101,   0x84, 7,  86, 
   0x80, 6,   4,   0x40, 2,   0,   0x3E, 7,  99,   0x3D,OFF(171),  0x3C,OFF(183),
   0x38, 6,  42,   0x36, 7,  55,   0x35,OFF(195),  0x34, 8,  64,   0x33, 8, 111, 
   0x32,OFF(198),  0x30, 7,   5,   0x2F,OFF(213),  0x2E, 8, 117, 
   0x2C, 7, 255,   /* ESC */
   0x2B,OFF(228),  0x2A, 8, 107,   0x28, 7,  28,   0x20, 5,  27,   0x10, 4,  16, 
   0x0F, 8, 109,   0x0E,OFF(219),  0x0C, 7,  51,   0x0B, 8,  19,   0x0A,OFF(231),
   0x09,OFF(234),  0x08, 8,   6,   0x07, 8,  61,   0x06, 8, 105,   0x04, 7,  18, 
   0x03, 8, 103,   0x02,OFF(249),  0x00, 7,  96, 
/* 0xEB  +174 */
   0xC0, 2, 122,   0xB0, 4,  72,   0xA0, 4,  95,   0x80, 3,  57,   0x00, 1,  21, 
/* 0xE9  +189 */
   0x80, 1,  87,   0x40, 2,  11,   0x00, 2,  44, 
/* 0x9F  +198 */
   0xF0, 4, 112,   0xE0, 4, 110,   0xC0, 3,  83,   0x80, 2,  22,   0x00, 1,   9, 
/* 0x9B  +213 */
   0xF0, 4,  60,   0xE0, 4,  50,   0xC0, 3, 100,   0xA0, 3,  88,   0x80, 3, 102, 
   0x00, 1, 119, 
/* 0x99  +231 */
   0xF0, 4, 114,   0xE0, 4, 106,   0xD0, 4,  77,   0xC0, 4,  98,   0xA0, 3,  81, 
   0x80, 3,  63,   0x40, 2,  65,   0x00, 2,  94, 
/* 0x3D  +255 */
   0xE0, 3,  13,   0xD0, 4, 129,   0xC0, 4,  25,   0x80, 2,  74,   0x00, 1,  52, 
/* 0x3C  +270 */
   0xC0, 2,  38,   0xB0, 4, 104,   0xA0, 4,  33,   0x80, 3,  75,   0x60, 3, 123, 
   0x40, 3,  32,   0x00, 2,  10, 
/* 0x35  +291 */
   0xC0, 2,  59,   0xA0, 3,  39,   0x80, 3,  31,   0x00, 1, 120, 
/* 0x32  +303 */
   0xC0, 2,  76,   0x80, 2,  78,   0x70, 4,  69,   0x60, 4, 130,   0x40, 3, 118, 
   0x20, 3,  23,   0x00, 3,  53, 
/* 0x2F  +324 */
   0xE0, 3,  80,   0xD0, 4,  82,   0xC0, 4,  79,   0xA0, 3,  71,   0x90, 4, 126, 
   0x88, 5, 108,   0x80, 5,  41,   0x00, 1,  37, 
/* 0x2B  +348 */
   0xC0, 2,  62,   0x80, 2,  97,   0x00, 1,   8, 
/* 0x0E  +357 */
   0xE0, 3,  12,   0xD0, 4, 128,   0xC0, 4,  40,   0xB0, 4, 125,   0xA0, 4,  24, 
   0x80, 3, 124,   0x00, 1,  48, 
/* 0x0A  +378 */
   0x80, 1,  70,   0x00, 1,  73, 
/* 0x09  +384 */
   0xF0, 4,  66,   0xE8, 5,  46,   0xE0, 5, 116,   0xD8, 5,  26,   0xD0, 5,  84, 
   0xC0, 4,  45,   0xB8, 5,  54,   0xB0, 5,  92,   0xA0, 4,  14,   0x80, 3,  91, 
   0x00, 1,  20, 
/* 0x02  +417 */
   0xF8, 5,  34,   0xF0, 5, 131,   0xE8, 5,  15,   0xE0, 5, 127,   0xC0, 3,  68, 
   0xA0, 3, 121,   0x80, 3,  49,   0x40, 2,  30,   0x00, 2,  56
},

                VC1_CHROMA_AC_INDEX0_TAB[] =
{
/* CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL */
   0xFC, 6,   4,   0xF8, 6, 134,   0xF0, 5,  24,   0xE8, 5, 124,   0xE7,OFF(153),
   0xE6,OFF(192),  0xE5,OFF(210),  0xE4, 8, 101,   0xE0, 6,  54,   0xD0, 4, 113, 
   0xC8, 5, 121,   0xC0, 5,  42,   0xBC, 6, 130,   0xBA, 7,   5,   0xB9,OFF(213),
   0xB8,OFF(249),  0xB7,OFF(255),  0xB6, 8,  26,   0xB5,OFF(276),  0xB4,OFF(312),
   0xB2, 7, 136,   0xB0, 7,  59,   0xAC, 6, 127,   0xA8, 6, 100,   0xA4, 6,  49, 
   0xA3,OFF(300),  0xA2, 8,   6,   0xA1, 8,  67,   0xA0, 8, 144,   0x90, 4, 108, 
   0x88, 5, 117,   0x87,OFF(312),  0x86,OFF(318),  0x84, 7,  25,   0x83, 8,  70, 
   0x82,OFF(324),  0x80, 7,  35,   0x60, 3,  99,   0x58, 5,   2,   0x57, 8, 142, 
   0x56,OFF(354),  0x55, 8, 140,   0x54, 8, 109,   0x50, 6,   3,   0x40, 4,  23, 
   0x30, 4,   1,   0x28, 5,  34,   0x27,OFF(339),  0x26, 8, 138,   0x25, 8,  43, 
   0x24,OFF(372),  0x23, 8,  63,   0x22,OFF(390),  0x20, 7, 132,   0x00, 3,   0, 
/* 0xE7  +165 */
   0xFC, 6,  62,   0xF8, 6, 167,   0xF0, 5,  80,   0xE0, 4,  61,   0xDC, 6,  97, 
   0xD8, 6,  75,   0xD0, 5, 105,   0xCC, 6,  84,   0xC8, 6,  58,   0xC6, 7,  86, 
   0xC4, 7,  41,   0xC0, 6,  20,   0x80, 2,  83,   0x00, 1, 148, 
/* 0xE6  +207 */
   0xE0, 3,  87,   0xC0, 3, 154,   0xA0, 3, 103,   0x90, 4,  90,   0x80, 4,  91, 
   0x40, 2,  81,   0x00, 2, 110, 
/* 0xE5  +228 */
   0xF0, 4,  46,   0xE0, 4, 157,   0xC0, 3,  29,   0xB0, 4, 143,   0xA8, 5, 141, 
   0xA0, 5,  82,   0x80, 3, 158,   0x40, 2,  28,   0x00, 2, 125, 
/* 0xB9  +255 */
   0x80, 1,  27,   0x60, 3,  38,   0x5C, 6,  96,   0x58, 6,  95,   0x50, 5,  17, 
   0x40, 4,  30,   0x20, 3,  12,   0x18, 5, 163,   0x14, 6,  33,   0x10, 6, 164, 
   0x08, 5,  72,   0x04, 6,  53,   0x00, 6,  66, 
/* 0xB8  +294 */
   0xC0, 2,  64,   0x80, 2,  10,   0x00, 1, 146, 
/* 0xB7  +303 */
   0xF0, 4, 119,   0xE8, 5, 123,   0xE4, 6, 106,   0xE0, 6,  94,   0xC0, 3,  68, 
   0xB0, 4,  93,   0xA0, 4, 135,   0x80, 3, 128,   0x00, 1,   8, 
/* 0xB5  +330 */
   0x80, 1, 118,   0x60, 3,  85,   0x50, 4, 159,   0x40, 4,  14,   0x3E, 7,  88, 
   0x3C, 7,  22,   0x38, 6,  19,   0x36, 7,  78,   0x34, 7, 129,   0x30, 6, 116, 
   0x28, 5, 165,   0x20, 5,  31,   0x00, 3,  56, 
/* 0xB4  +369 */
   0x80, 1, 255,   /* ESC */
   0x00, 1, 151, 
/* 0xA3  +375 */
   0xC0, 2,  37,   0x80, 2, 102,   0x60, 3,  45,   0x50, 4, 133,   0x4C, 6, 126, 
   0x4A, 7,  98,   0x48, 7, 120,   0x40, 5, 145,   0x20, 3, 156,   0x00, 3, 166, 
/* 0x87  +405 */
   0xC0, 2,  60,   0x80, 2, 152,   0x00, 1,  55, 
/* 0x86  +414 */
   0xC0, 2, 122,   0x80, 2, 149,   0x60, 3,  92,   0x40, 3,  11,   0x00, 2, 150, 
/* 0x82  +429 */
   0xF8, 5,  16,   0xF0, 5, 137,   0xEC, 6, 161,   0xEA, 7,  21,   0xE8, 7, 107, 
   0xE0, 5,  57,   0xD0, 4,  89,   0xCC, 6,  32,   0xC8, 6,  18,   0xC0, 5, 104, 
   0x80, 2,   9,   0x70, 4,  13,   0x60, 4, 115,   0x40, 3,  51,   0x00, 2,  79, 
/* 0x56  +474 */
   0x80, 1, 114,   0x00, 1,   7, 
/* 0x27  +480 */
   0x80, 1,  50,   0x78, 5,  77,   0x74, 6,  40,   0x70, 6, 160,   0x60, 4,  74, 
   0x40, 3,  71,   0x3C, 6, 139,   0x3A, 7, 112,   0x38, 7,  48,   0x30, 5,  15, 
   0x28, 5,  65,   0x24, 6,  47,   0x20, 6,  69,   0x00, 3, 155, 
/* 0x24  +522 */
   0x80, 1,  36,   0x70, 4, 131,   0x68, 5,  52,   0x60, 5, 162,   0x58, 5, 111, 
   0x50, 5,  39,   0x40, 4, 153,   0x00, 2, 147, 
/* 0x22  +546 */
   0xC0, 2,  76,   0x80, 2,  44,   0x00, 1,  73
},

                VC1_CHROMA_AC_INDEX1_TAB[] =
{
/* CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL */
   0xF0, 4,   1,   0xE0, 4,  18,   0xC0, 3,  12,   0x80, 2,   0,   0x70, 4,  58, 
   0x68, 5,  22,   0x60, 5,  25,   0x58, 5,  28,   0x54, 6,   2,   0x50, 6,  13, 
   0x4C, 6,  31,   0x48, 6,  34,   0x44, 6,  36,   0x40, 6,  38,   0x3C, 6,  61, 
   0x38, 6,  63,   0x34, 6,  64,   0x30, 6,  65,   0x2E, 7,   3,   0x2C, 7,  40, 
   0x2A, 7,  42,   0x28, 7,  43,   0x26, 7,  66,   0x24, 7,  67,   0x22, 7,  68, 
   0x20, 7,  69,   0x1F, 8,   4,   0x1E, 8,  14,   0x1D, 8,  19,   0x1C, 8,  44, 
   0x1B, 8,  45,   0x1A, 8,  70,   0x19, 8,  71,   0x18, 8,  72,   0x17, 8,  73, 
   0x16, 8,  74,   0x15, 8,  75,   0x14, 8,  76,   0x13, 8,  77,   0x12,OFF( 54),
   0x11,OFF( 57),  0x10,OFF( 60),  0x0F,OFF( 63),  0x0E,OFF( 66),  0x0D,OFF( 69),
   0x0C,OFF( 72),  0x0B,OFF( 75),  0x0A,OFF( 78),  0x09,OFF( 81),  0x08,OFF( 84),
   0x06, 7, 255,   /* ESC */
   0x05,OFF( 87),  0x04,OFF(132),  0x03,OFF(153),  0x02,OFF(162),  0x01,OFF(171),
   0x00,OFF(180),
/* 0x12  +171 */
   0x80, 1,   5,   0x00, 1,   6, 
/* 0x11  +177 */
   0x80, 1,  23,   0x00, 1,  26, 
/* 0x10  +183 */
   0x80, 1,  46,   0x00, 1,  47, 
/* 0x0F  +189 */
   0x80, 1,  48,   0x00, 1,  49, 
/* 0x0E  +195 */
   0x80, 1,  50,   0x00, 1,  51, 
/* 0x0D  +201 */
   0x80, 1,  52,   0x00, 1,  53, 
/* 0x0C  +207 */
   0x80, 1,  59,   0x00, 1,  78, 
/* 0x0B  +213 */
   0x80, 1,  79,   0x00, 1,  80, 
/* 0x0A  +219 */
   0x80, 1,  81,   0x00, 1,  82, 
/* 0x09  +225 */
   0x80, 1,  83,   0x00, 1,  84, 
/* 0x08  +231 */
   0x80, 1,  85,   0x40, 2,   7,   0x00, 2,   8, 
/* 0x05  +240 */
   0xF0, 4, 101,   0xE0, 4, 100,   0xD0, 4,  99,   0xC0, 4,  98,   0xB0, 4,  97, 
   0xA0, 4,  96,   0x90, 4,  95,   0x80, 4,  94,   0x70, 4,  57,   0x60, 4,  56, 
   0x50, 4,  41,   0x40, 4,  33,   0x30, 4,  30,   0x20, 4,  27,   0x10, 4,  21, 
   0x00, 4,  17, 
/* 0x04  +288 */
   0xE0, 3,  93,   0xC0, 3,  92,   0xA0, 3,  91,   0x80, 3,  90,   0x60, 3,  55, 
   0x40, 3,  54,   0x20, 3,  16,   0x00, 3,  11, 
/* 0x03  +312 */
   0xC0, 2,  15,   0x80, 2,  20,   0x40, 2,  24,   0x00, 2,  29, 
/* 0x02  +324 */
   0xC0, 2,  32,   0x80, 2,  35,   0x40, 2,  37,   0x00, 2,  39, 
/* 0x01  +336 */
   0xC0, 2,  86,   0x80, 2,  87,   0x40, 2,  88,   0x00, 2,  89, 
/* 0x00  +348 */
   0xE0, 3,   9,   0xC0, 3,  10,   0xA0, 3,  60,   0x80, 3,  62
},

                VC1_CHROMA_AC_INDEX2_TAB[] =
{
/* CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL */
   0xFC, 6, 109,   0xFA, 7,  46,   0xF9,OFF(150),  0xF8,OFF(195),  0xF0, 5,   2, 
   0xEE, 7,  34,   0xED,OFF(195),  0xEC,OFF(213),  0xEA, 7, 119,   0xE9,OFF(213),
   0xE8, 8,  78, 
   0xE6, 7, 255,   /* ESC */
   0xE5, 8,  35,   0xE4, 8, 128,   0xE3,OFF(219),  0xE2, 8,  54,   0xE0, 7,   5, 
   0xD8, 5,  53,   0xD4, 6,  64,   0xD3,OFF(231),  0xD2,OFF(234),  0xD0, 7,  72, 
   0xC0, 4,  45,   0x80, 2,   0,   0x60, 3,  32,   0x5F, 8,   7,   0x5E, 8, 130, 
   0x5C, 7, 122,   0x5B,OFF(258),  0x5A,OFF(279),  0x59,OFF(282),  0x58,OFF(315),
   0x50, 5,  33,   0x4C, 6, 113,   0x48, 6,   4,   0x47, 8,   8,   0x46,OFF(327),
   0x45, 8,  81,   0x44, 8,  47,   0x42, 7, 124,   0x40, 7,  75,   0x38, 5,  59, 
   0x37, 8, 132,   0x36,OFF(333),  0x34, 7,   6,   0x30, 6,  68,   0x2C, 6, 116, 
   0x2B,OFF(333),  0x2A,OFF(336),  0x28, 7, 126,   0x20, 5,   3,   0x00, 3,   1, 
/* 0xF9  +156 */
   0xF0, 4,  99,   0xEE, 7, 129,   0xEC, 7,  77,   0xEA, 7, 118,   0xE9, 8, 121, 
   0xE8,OFF(342),  0xE0, 5,  42,   0xC0, 3,  15,   0x80, 2, 144,   0x40, 2,  37, 
   0x38, 5,  62,   0x30, 5,  51,   0x20, 4,  20,   0x18, 5,  57,   0x10, 5, 123, 
   0x00, 4,  76, 
/* 0xF8  +204 */
   0x80, 1,  83,   0x40, 2,  65,   0x00, 2,  48, 
/* 0xED  +213 */
   0x80, 1, 134,   0x40, 2,  12,   0x20, 3,  49,   0x1C, 6,  58,   0x18, 6,  84, 
   0x10, 5,  26,   0x00, 4, 101, 
/* 0xEC  +234 */
   0x80, 1,  36,   0x00, 1,  60, 
/* 0xE9  +240 */
   0x80, 1,   9,   0x40, 2,  55,   0x20, 3, 154,   0x18, 5,  70,   0x14, 6,  74, 
   0x10, 6, 127,   0x00, 4, 111, 
/* 0xE3  +261 */
   0x80, 1, 136,   0x40, 2,  89,   0x20, 3,  16,   0x10, 4,  50,   0x0C, 6,  67, 
   0x0A, 7, 131,   0x09, 8,  90,   0x08,OFF(249),  0x00, 5,  27, 
/* 0xD3  +288 */
   0x80, 1,  85,   0x00, 1, 138, 
/* 0xD2  +294 */
   0xF0, 4, 166,   0xE0, 4,  21,   0xC0, 3, 156,   0xB0, 4, 164,   0xA0, 4, 103, 
   0x80, 3,  39,   0x60, 3,  73,   0x58, 5,  43,   0x56, 7, 137,   0x54, 7,  88, 
   0x50, 6,  63,   0x40, 4, 120,   0x20, 3,  17,   0x18, 5,  28,   0x10, 5, 172, 
   0x00, 4,  22, 
/* 0x5B  +342 */
   0xE0, 3,  93,   0xC0, 3, 158,   0x80, 2, 146,   0x40, 2,  13,   0x38, 5, 107, 
   0x30, 5, 115,   0x20, 4, 168,   0x00, 3,  61, 
/* 0x5A  +366 */
   0x80, 1,  10,   0x00, 1, 140, 
/* 0x59  +372 */
   0xF0, 4,  41,   0xE0, 4,  23,   0xDE, 7,  80,   0xDD, 8, 135,   0xDC,OFF(171),
   0xD8, 6,  86,   0xD0, 5,  82,   0xC0, 4,  66,   0x80, 2,  38,   0x40, 2,  69, 
   0x20, 3,  56,   0x00, 3,  95, 
/* 0x58  +408 */
   0xF0, 4,  79,   0xE8, 5,  29,   0xE6, 7, 133,   0xE5, 8, 139,   0xE4,OFF(144),
   0xE0, 6,  71,   0xC0, 3,  18,   0x80, 2,  14,   0x00, 1, 142, 
/* 0x46  +435 */
   0xC0, 2, 148,   0xA0, 3, 117,   0x90, 4, 170,   0x80, 4,  24,   0x40, 2, 114, 
   0x20, 3, 160,   0x10, 4, 105,   0x08, 5, 173,   0x00, 5,  30, 
/* 0x36  +462 */
   0x80, 1, 110,   0x40, 2, 150,   0x20, 3, 162,   0x00, 3,  97, 
/* 0x2B  +474 */
   0x80, 1,  11,   0x00, 1,  87, 
/* 0x2A  +480 */
   0xF8, 5, 108,   0xF0, 5,  44,   0xE8, 5,  31,   0xE0, 5,  52,   0xC0, 3,  19, 
   0x80, 2,  91,   0x78, 5, 125,   0x70, 5, 112,   0x60, 4,  25,   0x40, 3,  40, 
   0x00, 2, 152, 
/* 0xF9E8  +513 */
   0xF0, 4, 151,   0xE0, 4, 106,   0xD0, 4, 149,   0xC0, 4, 104,   0x80, 2, 147, 
   0x00, 1, 141, 
/* 0xE308  +531 */
   0x80, 1,  92,   0x60, 3, 102,   0x5C, 6, 165,   0x5A, 7, 163,   0x58, 7, 171, 
   0x50, 5, 161,   0x40, 4, 155,   0x00, 2,  96, 
/* 0x59DC  +555 */
   0x80, 1,  94,   0x40, 2, 100,   0x00, 2, 145, 
/* 0x58E4  +564 */
   0x80, 1, 143,   0x60, 3, 153,   0x50, 4, 157,   0x4C, 6, 167,   0x48, 6, 169, 
   0x40, 5, 159,   0x00, 2,  98
},

                VC1_CHROMA_AC_INDEX3_TAB[] =
{
/* CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL */
   0xC0, 2,  81,   0xB0, 4,  14,   0xAE, 7,  46,   0xAD, 8,  58,   0xAC,OFF(138),
   0xAB, 8, 121,   0xAA,OFF(183),  0xA8, 7,  82,   0xA0, 5,   1,   0x80, 3,   0, 
   0x7F, 8,   3,   0x7E, 8, 120,   0x7D, 8,  52,   0x7C,OFF(189),  0x78, 6,  36, 
   0x70, 5,  96,   0x6E, 7,  15,   0x6D, 8,  24,   0x6C,OFF(183),  0x68, 6,  32, 
   0x60, 5,  98,   0x50, 4,  86,   0x40, 4,  90,   0x38, 5,  23,   0x34, 6, 104, 
   0x32, 7,  43,   0x31,OFF(165),  0x30,OFF(198),  0x2E, 7,   2,   0x2C, 7, 114, 
   0x2A, 7, 116,   0x28, 7, 110,   0x20, 5,  93,   0x1C, 6, 106,   0x18, 6, 102, 
   0x17,OFF(189),  0x16,OFF(216),  0x14, 7, 112,   0x10, 6, 100,   0x0F, 8, 118, 
   0x0E,OFF(228),  0x0C, 7,  40,   0x08, 6,  28,   0x07,OFF(243),  0x06,OFF(264),
   0x05,OFF(291),  0x04, 8,  49,   0x02, 7, 108,   0x01,OFF(306),  0x00,OFF(309),
/* 0xAC  +150 */
   0xC0, 2, 126,   0xB8, 5,  10,   0xB0, 5, 111,   0xAC, 6,  39,   0xA8, 6, 143, 
   0xA0, 5, 147,   0x90, 4,  34,   0x8C, 6,  35,   0x88, 6,  12,   0x80, 5,  20, 
   0x60, 3, 133,   0x40, 3,  99,   0x30, 4,  38,   0x20, 4, 113,   0x10, 4, 136, 
   0x08, 5,  57,   0x00, 5,  66, 
/* 0xAA  +201 */
   0xC0, 2,  83,   0xB8, 5, 140,   0xB0, 5, 137,   0xA0, 4,   8,   0x90, 4,  88, 
   0x8C, 6, 142,   0x88, 6,  48,   0x80, 5,  92,   0x00, 1,   4, 
/* 0x7C  +228 */
   0xC0, 2, 127,   0x80, 2,   5,   0x00, 1,  87, 
/* 0x6C  +237 */
   0x80, 1,  65,   0x00, 1, 123, 
/* 0x31  +243 */
   0xF0, 4,  26,   0xE8, 5,  45,   0xE0, 5, 145,   0xD0, 4,  76,   0xC0, 4, 101, 
   0xA0, 3,  56,   0x9C, 6,  60,   0x98, 6,  80,   0x90, 5,  74,   0x88, 5,  73, 
   0x80, 5,   9,   0x00, 1,  16, 
/* 0x30  +279 */
   0x80, 1,  29,   0x60, 3,  68,   0x40, 3,  47,   0x20, 3, 139,   0x00, 3,  50, 
/* 0x17  +294 */
   0xE0, 3,   6,   0xDC, 6,  85,   0xD8, 6,  21,   0xD0, 5, 138,   0xCE, 7,  22, 
   0xCC, 7,  13,   0xC8, 6,  27,   0xC0, 5,  42,   0x80, 2, 132,   0x00, 1, 131, 
/* 0x16  +324 */
   0x80, 1, 122,   0x78, 5,  64,   0x74, 6, 141,   0x70, 6,  51,   0x60, 4,  18, 
   0x50, 4,  79,   0x40, 4,  53,   0x00, 2, 130, 
/* 0x0E  +348 */
   0xE0, 3,  94,   0xDC, 6,  11,   0xDA, 7,  54,   0xD8, 7,  95,   0xD0, 5, 105, 
   0xC0, 4, 134,   0x80, 2, 128,   0x00, 1,  61, 
/* 0x07  +372 */
   0xC0, 2,  37,   0x80, 2,  33,   0x7C, 6,  31,   0x78, 6, 144,   0x70, 5,  62, 
   0x60, 4,  77,   0x40, 3,  78,   0x00, 2,  91, 
/* 0x06  +396 */
   0x80, 1, 255,   /* ESC */
   0x78, 5, 146,   0x70, 5,  19,   0x60, 4,  72,   0x50, 4,   7,   0x48, 5, 107, 
   0x40, 5, 103,   0x20, 3,  71,   0x10, 4,  70,   0x00, 4,  59, 
/* 0x05  +426 */
   0x80, 1, 124,   0x70, 4,  69,   0x6C, 6, 115,   0x68, 6, 117,   0x60, 5,  75, 
   0x50, 4,  30,   0x40, 4, 135,   0x00, 2, 125, 
/* 0x01  +450 */
   0x80, 1,  63,   0x00, 1,  55, 
/* 0x00  +456 */
   0xE0, 3,  17,   0xC0, 3,  44,   0xBE, 7,  89,   0xBC, 7, 119,   0xB8, 6, 109, 
   0xB0, 5,  84,   0xA0, 4,  97,   0x80, 3,  41,   0x60, 3,  25,   0x40, 3,  67, 
   0x00, 2, 129
},

                VC1_AC_MODE3_LEVEL_SIZE0_TAB[] =
{
/* CODE SZ VAL    CODE SZ VAL    CODE SZ VAL    CODE SZ VAL */
   0xE0, 3,  7,   0xC0, 3,  6,   0xA0, 3,  5,   0x80, 3,  4,
   0x60, 3,  3,   0x40, 3,  2,   0x20, 3,  1,   0x18, 5, 11,
   0x10, 5, 10,   0x08, 5,  9,   0x00, 5,  8
},

                VC1_AC_MODE3_LEVEL_SIZE1_TAB[] =
{
/* CODE SZ VAL    CODE SZ VAL    CODE SZ VAL    CODE SZ VAL */
   0x80, 1,  2,   0x40, 2,  3,   0x20, 3,  4,   0x10, 4,  5,
   0x08, 5,  6,   0x04, 6,  7,   0x00, 6,  8
},

                VC1_MV_DIFF0_TAB[] =
{
/* CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL */
   0xE0, 3, 72+1,  0xDF,OFF(150),  0xDE, 8, 68+1,  0xDD,OFF(150),  0xDC, 8, 65+1,
   0xDA, 7, 64+1,  0xD8, 7, 63+1,  0xD6, 7, 62+1,  0xD4, 7, 61+1,  0xD2, 7, 60+1,
   0xD0, 7, 58+1,  0xC8, 5, 57+1,  0xC0, 5, 56+1,  0xB8, 5, 55+1,  0xB0, 5, 51+1,
   0xA8, 5, 50+1,  0xA0, 5, 49+1,  0x9C, 6, 52+1,  0x98, 6, 48+1,  0x90, 5, 45+1,
   0x80, 4, 44+1,  0x70, 4, 43+1,  0x68, 5, 42+1,  0x67, 8, 54+1,  0x66,OFF( 93),
   0x64, 7, 46+1,  0x60, 6, 38+1,  0x40, 3, 36+1,  0x38, 5, 37+1,  0x34, 6, 35+1,
   0x33,OFF( 84),  0x32, 8, 39+1,  0x31, 8, 26+1,  0x30,OFF( 81),  0x2E, 7, 20+1,
   0x2C, 7, 19+1,  0x2A, 7, 18+1,  0x29,OFF( 78),  0x28, 8, 14+1,  0x24, 6, 13+1,
   0x20, 6, 12+1,  0x1C, 6, 11+1,  0x18, 6,  7+1,  0x10, 5,  6+1,  0x0C, 6,  5+1,
   0x0A, 7,  8+1,  0x09,OFF( 60),  0x08, 8,  3+1,  0x06, 7,  2+1,  0x04, 7,  1+1,
   0x00, 6,  0+1,
/* 0xDF  +153 */
   0x80, 1, 71+1,  0x00, 1, 70+1,
/* 0xDD  +159 */
   0x80, 1, 69+1,  0x00, 1, 67+1,
/* 0x66  +165 */
   0xC0, 2, 66+1,  0x80, 2, 59+1,  0x00, 1, 53+1,
/* 0x33  +174 */
   0x80, 1, 47+1,  0x00, 1, 40+1,
/* 0x30  +180 */
   0xC0, 2, 28+1,  0x80, 2, 27+1,  0x00, 1, 24+1,
/* 0x29  +189 */
   0xC0, 2, 25+1,  0x80, 2, 23+1,  0x00, 1, 17+1,
/* 0x09  +198 */
   0x80, 1, 15+1,  0x40, 2, 16+1,  0x38, 5, 41+1,  0x30, 5, 34+1,  0x28, 5, 33+1,
   0x20, 5, 32+1,  0x1C, 6, 31+1,  0x18, 6, 30+1,  0x14, 6, 29+1,  0x10, 6, 22+1,
   0x0C, 6, 21+1,  0x08, 6, 10+1,  0x04, 6,  9+1,  0x00, 6,  4+1
},

                VC1_MV_DIFF1_TAB[] =
{
/* CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL */
   0xF8, 5, 72+1,  0xF7,OFF(129),  0xF6, 8, 62+1,  0xF4, 7, 58+1,  0xF3,OFF(126),
   0xF2, 8, 57+1,  0xF0, 7, 56+1,  0xEE, 7, 55+1,  0xED, 8, 53+1,  0xEC, 8, 52+1,
   0xE8, 6, 50+1,  0xE4, 6, 49+1,  0xE0, 6, 48+1,  0xC0, 3, 42+1,  0xB0, 4, 43+1,
   0xAC, 6, 46+1,  0xA8, 6, 44+1,  0xA4, 6, 41+1,  0xA3, 8, 51+1,  0xA2, 8, 45+1,
   0xA1, 8, 40+1,  0xA0, 8, 39+1,  0x80, 3, 37+1,  0x40, 2, 36+1,  0x3C, 6, 38+1,
   0x3B,OFF( 69),  0x3A,OFF( 72),  0x39, 8, 18+1,  0x38,OFF( 72),  0x30, 5,  9+1,
   0x2F,OFF( 72),  0x2E, 8, 13+1,  0x2D, 8, 12+1,  0x2C, 8, 11+1,  0x2A, 7, 10+1,
   0x28, 7,  8+1,  0x20, 5,  6+1,  0x18, 5,  5+1,  0x14, 6,  7+1,  0x10, 6,  4+1,
   0x0C, 6,  3+1,  0x0A, 7,  2+1,  0x08, 7,  1+1,  0x00, 5,  0+1,
/* 0xF7  +132 */
   0x80, 1, 65+1,  0x00, 1, 63+1,
/* 0xF3  +138 */
   0x80, 1, 61+1,  0x00, 1, 59+1,
/* 0x3B  +144 */
   0x80, 1, 47+1,  0x00, 1, 24+1,
/* 0x3A  +150 */
   0x80, 1, 22+1,  0x00, 1, 21+1,
/* 0x38  +156 */
   0x80, 1, 17+1,  0x00, 1, 16+1,
/* 0x2F  +162 */
   0x80, 1, 15+1,  0x78, 5, 71+1,  0x70, 5, 70+1,  0x68, 5, 69+1,  0x60, 5, 68+1,
   0x58, 5, 67+1,  0x50, 5, 66+1,  0x48, 5, 64+1,  0x40, 5, 60+1,  0x3C, 6, 54+1,
   0x38, 6, 35+1,  0x34, 6, 34+1,  0x30, 6, 33+1,  0x2C, 6, 32+1,  0x28, 6, 31+1,
   0x24, 6, 30+1,  0x20, 6, 29+1,  0x1C, 6, 28+1,  0x18, 6, 27+1,  0x14, 6, 26+1,
   0x10, 6, 25+1,  0x0C, 6, 23+1,  0x08, 6, 20+1,  0x04, 6, 19+1,  0x00, 6, 14+1
},

                VC1_MV_DIFF2_TAB[] =
{
/* CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL */
   0x80, 1, 36+1,  0x70, 4, 43+1,  0x60, 4, 42+1,  0x40, 3,  5+1,  0x30, 4,  6+1,
   0x28, 5, 37+1,  0x27,OFF( 27),  0x26,OFF( 48),  0x25,OFF( 69),  0x24,OFF( 90),
   0x23,OFF(111),  0x22,OFF(132),  0x21,OFF(153),  0x20,OFF(174),  0x00, 3,  0+1,
/* 0x27   +45 */
   0xE0, 3, 72+1,  0xC0, 3, 71+1,  0xA0, 3, 70+1,  0x80, 3, 69+1,  0x60, 3, 68+1,
   0x40, 3, 67+1,  0x20, 3, 66+1,  0x00, 3, 65+1,
/* 0x26   +69 */
   0xE0, 3, 64+1,  0xC0, 3, 63+1,  0xA0, 3, 62+1,  0x80, 3, 61+1,  0x60, 3, 60+1,
   0x40, 3, 59+1,  0x20, 3, 58+1,  0x00, 3, 57+1,
/* 0x25   +93 */
   0xE0, 3, 56+1,  0xC0, 3, 55+1,  0xA0, 3, 54+1,  0x80, 3, 53+1,  0x60, 3, 52+1,
   0x40, 3, 51+1,  0x20, 3, 50+1,  0x00, 3, 49+1,
/* 0x24  +117 */
   0xE0, 3, 48+1,  0xC0, 3, 47+1,  0xA0, 3, 46+1,  0x80, 3, 45+1,  0x60, 3, 44+1,
   0x40, 3, 41+1,  0x20, 3, 40+1,  0x00, 3, 39+1,
/* 0x23  +141 */
   0xE0, 3, 38+1,  0xC0, 3, 35+1,  0xA0, 3, 34+1,  0x80, 3, 33+1,  0x60, 3, 32+1,
   0x40, 3, 31+1,  0x20, 3, 30+1,  0x00, 3, 29+1,
/* 0x22  +165 */
   0xE0, 3, 28+1,  0xC0, 3, 27+1,  0xA0, 3, 26+1,  0x80, 3, 25+1,  0x60, 3, 24+1,
   0x40, 3, 23+1,  0x20, 3, 22+1,  0x00, 3, 21+1,
/* 0x21  +189 */
   0xE0, 3, 20+1,  0xC0, 3, 19+1,  0xA0, 3, 18+1,  0x80, 3, 17+1,  0x60, 3, 16+1,
   0x40, 3, 15+1,  0x20, 3, 14+1,  0x00, 3, 13+1,
/* 0x20  +213 */
   0xE0, 3, 12+1,  0xC0, 3, 11+1,  0xA0, 3, 10+1,  0x80, 3,  9+1,  0x60, 3,  8+1,
   0x40, 3,  7+1,  0x30, 4,  4+1,  0x20, 4,  3+1,  0x10, 4,  2+1,  0x00, 4,  1+1
},

                VC1_MV_DIFF3_TAB[] =
{
/* CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL */
   0xF0, 4, 72+1,  0xEE, 7, 71+1,  0xEC, 7, 70+1,  0xEB, 8, 69+1,  0xEA, 8, 68+1,
   0xE8, 7, 65+1,  0xE4, 6, 64+1,  0xE0, 6, 63+1,  0xDC, 6, 62+1,  0xDA, 7, 61+1,
   0xD8, 7, 59+1,  0xD0, 5, 57+1,  0xC8, 5, 56+1,  0xC0, 5, 55+1,  0xA0, 3, 50+1,
   0x9C, 6, 58+1,  0x9A, 7, 54+1,  0x99, 8, 67+1,  0x98, 8, 53+1,  0x90, 5, 51+1,
   0x80, 4, 49+1,  0x78, 5, 48+1,  0x74, 6, 52+1,  0x70, 6, 46+1,  0x60, 4, 44+1,
   0x40, 3, 43+1,  0x38, 5, 45+1,  0x30, 5, 42+1,  0x20, 4, 37+1,  0x10, 4, 36+1,
   0x08, 5, 38+1,  0x07, 8, 47+1,  0x06,OFF( 18),  0x04, 7, 39+1,  0x03, 8, 40+1,
   0x02,OFF( 15),  0x01,OFF( 24),  0x00,OFF( 39),
/* 0x06  +114 */
   0x80, 1, 60+1,  0x00, 1, 41+1,
/* 0x02  +120 */
   0xC0, 2, 66+1,  0x80, 2, 35+1,  0x40, 2, 33+1,  0x00, 2, 27+1,
/* 0x01  +132 */
   0xE0, 3, 31+1,  0xC0, 3, 26+1,  0x80, 2, 25+1,  0x60, 3, 24+1,  0x40, 3, 22+1,
   0x00, 2, 21+1,
/* 0x00  +150 */
   0xF0, 4, 23+1,  0xE0, 4, 19+1,  0xDC, 6, 34+1,  0xDA, 7, 32+1,  0xD8, 7, 30+1,
   0xD6, 7, 29+1,  0xD4, 7, 28+1,  0xD2, 7, 20+1,  0xD0, 7, 18+1,  0xC0, 4, 16+1,
   0xB0, 4, 15+1,  0xA0, 4, 14+1,  0x90, 4, 13+1,  0x80, 4, 11+1,  0x60, 3,  9+1,
   0x50, 4, 10+1,  0x40, 4,  8+1,  0x20, 3,  1+1,  0x10, 4,  6+1,  0x0E, 7, 17+1,
   0x0C, 7, 12+1,  0x0A, 7,  7+1,  0x08, 7,  5+1,  0x06, 7,  4+1,  0x04, 7,  3+1,
   0x02, 7,  2+1,  0x00, 7,  0+1
},

                VC1_PB_CBP0_TAB[] =
{
/* CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL */
   0xC0, 2, 63*4,  0xA0, 3, 61*4,  0x80, 3, 62*4,  0x7E, 7, 31*4,  0x7C, 7, 47*4, 
   0x78, 6, 59*4,  0x77, 8, 15*4,  0x76, 8, 55*4,  0x74, 7, 45*4,  0x73, 8, 29*4, 
   0x72, 8, 13*4,  0x70, 7, 53*4,  0x6F, 8, 21*4,  0x6E, 8, 57*4,  0x6C, 7, 17*4, 
   0x6A, 7, 30*4,  0x68, 7, 46*4,  0x67, 8, 49*4,  0x66, 8, 14*4,  0x65, 8, 54*4, 
   0x64, 8, 58*4,  0x62, 7, 10*4,  0x61, 8, 42*4,  0x60, 8, 18*4,  0x40, 3, 60*4, 
   0x38, 5, 44*4,  0x34, 6, 28*4,  0x30, 6, 12*4,  0x2C, 6, 52*4,  0x28, 6, 20*4, 
   0x20, 5, 56*4,  0x1E, 7,  2*4,  0x1C, 7, 36*4,  0x1A, 7,  4*4,  0x18, 7, 24*4, 
   0x14, 6,  8*4,  0x10, 6, 48*4,  0x08, 5, 16*4,  0x04, 6, 32*4,  0x02, 7, 40*4, 
   0x01, 8, 34*4,  0x00,OFF(  3), 
/* 0x00  +126 */
   0xF0, 4, 23*4,  0xE0, 4, 39*4,  0xD0, 4,  7*4,  0xC0, 4, 27*4,  0xB0, 4, 43*4,
   0xA0, 4, 11*4,  0x90, 4, 51*4,  0x80, 4, 19*4,  0x70, 4, 35*4,  0x68, 5,  3*4,
   0x60, 5, 37*4,  0x58, 5,  5*4,  0x50, 5, 25*4,  0x48, 5, 41*4,  0x40, 5,  9*4,
   0x38, 5, 33*4,  0x30, 5,  1*4,  0x28, 5, 22*4,  0x20, 5, 38*4,  0x18, 5,  6*4,
   0x10, 5, 26*4,  0x08, 5, 50*4,  0x00, 5,  0*4
},

                VC1_PB_CBP1_TAB[] =
{
/* CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL */
   0xFC, 6, 61*4,  0xFA, 7, 63*4,  0xF8, 7, 29*4,  0xF7, 8, 31*4,  0xF6, 8, 53*4, 
   0xF4, 7, 41*4,  0xF2, 7,  9*4,  0xF1, 8, 21*4,  0xF0, 8, 33*4,  0xEF, 8, 30*4, 
   0xEE, 8, 54*4,  0xED, 8,  6*4,  0xEC, 8, 58*4,  0xE8, 6, 60*4,  0xE0, 5, 28*4, 
   0xD0, 4, 12*4,  0xC0, 4, 20*4,  0xA0, 3,  4*4,  0x98, 5, 52*4,  0x90, 5, 36*4, 
   0x88, 5, 56*4,  0x80, 5, 24*4,  0x60, 3,  8*4,  0x40, 3, 16*4,  0x20, 3, 32*4, 
   0x10, 4, 40*4,  0x08, 5, 48*4,  0x04, 6, 44*4,  0x03, 8, 10*4,  0x02, 8, 50*4, 
   0x01, 8,  2*4,  0x00,OFF(  3),
/* 0x00   +96 */
   0xF8, 5, 47*4,  0xF0, 5, 15*4,  0xE8, 5, 55*4,  0xE0, 5, 23*4,  0xD8, 5, 39*4,
   0xD0, 5,  7*4,  0xC8, 5, 59*4,  0xC0, 5, 27*4,  0xB8, 5, 43*4,  0xB0, 5, 11*4,
   0xA8, 5, 51*4,  0xA0, 5, 19*4,  0x98, 5, 35*4,  0x90, 5,  3*4,  0x88, 5, 45*4,
   0x80, 5, 13*4,  0x78, 5, 37*4,  0x70, 5,  5*4,  0x68, 5, 57*4,  0x60, 5, 25*4,
   0x58, 5, 49*4,  0x50, 5, 17*4,  0x48, 5,  1*4,  0x40, 5, 62*4,  0x38, 5, 46*4,
   0x30, 5, 14*4,  0x28, 5, 22*4,  0x20, 5, 38*4,  0x18, 5, 26*4,  0x10, 5, 42*4,
   0x08, 5, 18*4,  0x04, 6, 34*4,  0x00, 6,  0*4
},

                VC1_PB_CBP2_TAB[] =
{
/* CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL */
   0xF8, 5, 63*4,  0xF7, 8, 31*4,  0xF6,OFF(150),  0xF5, 8, 23*4,  0xF4, 8, 39*4, 
   0xF3, 8, 59*4,  0xF2,OFF(144),  0xF1, 8, 11*4,  0xF0, 8, 19*4,  0xE8, 5, 61*4, 
   0xE7, 8,  3*4,  0xE6, 8, 29*4,  0xE4, 7, 45*4,  0xE2, 7, 53*4,  0xE1, 8, 13*4, 
   0xE0, 8, 21*4,  0xDE, 7, 57*4,  0xDD, 8,  5*4,  0xDC, 8, 25*4,  0xD8, 6, 41*4, 
   0xD0, 5, 62*4,  0xCF,OFF(105),  0xCE,OFF(108),  0xCC, 7, 33*4,  0xCA, 7, 30*4, 
   0xC9, 8,  1*4,  0xC8, 8, 46*4,  0xC6, 7, 54*4,  0xC4, 7, 22*4,  0xC3, 8, 14*4, 
   0xC2, 8, 58*4,  0xC0, 7, 26*4,  0xA0, 3, 60*4,  0x90, 4, 28*4,  0x88, 5, 44*4, 
   0x80, 5, 12*4,  0x70, 4, 20*4,  0x68, 5, 52*4,  0x64, 6,  2*4,  0x60, 6, 36*4, 
   0x50, 4,  4*4,  0x40, 4, 56*4,  0x30, 4, 40*4,  0x20, 4,  8*4,  0x18, 5, 48*4, 
   0x10, 5, 16*4,  0x08, 5, 32*4,  0x04, 6, 24*4,  0x03, 8, 42*4,  0x02, 8, 10*4, 
   0x01, 8, 34*4,  0x00,OFF( 27),
/* 0xF6  +156 */
   0x80, 1, 47*4,  0x00, 1, 15*4, 
/* 0xF2  +162 */
   0x80, 1, 55*4,  0x00, 1, 43*4, 
/* 0xCF  +168 */
   0x80, 1, 35*4,  0x00, 1,  9*4, 
/* 0xCE  +174 */
   0x80, 1, 49*4,  0x00, 1, 17*4, 
/* 0x00  +180 */
   0x80, 1, 50*4,  0x40, 2, 18*4,  0x30, 4,  7*4,  0x28, 5, 27*4,  0x20, 5, 51*4, 
   0x18, 5, 37*4,  0x10, 5, 38*4,  0x08, 5,  6*4,  0x00, 5,  0*4
},

                VC1_PB_CBP3_TAB[] =
{
/* CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL    CODE SZ  VAL */
   0xC0, 2,  4*4,  0x80, 2,  8*4,  0x40, 2, 32*4,  0x20, 3, 16*4,  0x1F, 8, 63*4, 
   0x1E, 8, 31*4,  0x1D, 8, 47*4,  0x1C, 8, 15*4,  0x1B,OFF( 84),  0x1A,OFF( 87),
   0x19,OFF( 90),  0x18,OFF( 93),  0x17,OFF( 96),  0x16,OFF( 99),  0x15,OFF(102),
   0x14,OFF(105),  0x13,OFF(108),  0x12,OFF(111),  0x11,OFF(114),  0x10,OFF(117),
   0x0F,OFF(120),  0x0E,OFF(123),  0x0D,OFF(126),  0x0C,OFF(129),  0x0B,OFF(132),
   0x0A,OFF(135),  0x09,OFF(138),  0x08,OFF(141),  0x07,OFF(144),  0x06,OFF(147),
   0x05,OFF(150),  0x04,OFF(153),  0x03,OFF(156),  0x02,OFF(159),  0x01,OFF(162),
   0x00,OFF(165),
/* 0x1B  +108 */
   0x80, 1, 55*4,  0x00, 1, 23*4, 
/* 0x1A  +114 */
   0x80, 1, 39*4,  0x00, 1,  7*4, 
/* 0x19  +120 */
   0x80, 1, 59*4,  0x00, 1, 27*4, 
/* 0x18  +126 */
   0x80, 1, 43*4,  0x00, 1, 11*4, 
/* 0x17  +132 */
   0x80, 1, 51*4,  0x00, 1, 19*4, 
/* 0x16  +138 */
   0x80, 1, 35*4,  0x00, 1,  3*4, 
/* 0x15  +144 */
   0x80, 1, 61*4,  0x00, 1, 29*4, 
/* 0x14  +150 */
   0x80, 1, 45*4,  0x00, 1, 13*4, 
/* 0x13  +156 */
   0x80, 1, 53*4,  0x00, 1, 21*4, 
/* 0x12  +162 */
   0x80, 1, 37*4,  0x00, 1,  5*4, 
/* 0x11  +168 */
   0x80, 1, 57*4,  0x00, 1, 25*4, 
/* 0x10  +174 */
   0x80, 1, 41*4,  0x00, 1,  9*4, 
/* 0x0F  +180 */
   0x80, 1, 49*4,  0x00, 1, 17*4, 
/* 0x0E  +186 */
   0x80, 1, 33*4,  0x00, 1,  1*4, 
/* 0x0D  +192 */
   0x80, 1, 62*4,  0x00, 1, 30*4, 
/* 0x0C  +198 */
   0x80, 1, 46*4,  0x00, 1, 14*4, 
/* 0x0B  +204 */
   0x80, 1, 54*4,  0x00, 1, 22*4, 
/* 0x0A  +210 */
   0x80, 1, 38*4,  0x00, 1,  6*4, 
/* 0x09  +216 */
   0x80, 1, 58*4,  0x00, 1, 26*4, 
/* 0x08  +222 */
   0x80, 1, 42*4,  0x00, 1, 10*4, 
/* 0x07  +228 */
   0x80, 1, 50*4,  0x00, 1, 18*4, 
/* 0x06  +234 */
   0x80, 1, 34*4,  0x00, 1,  2*4, 
/* 0x05  +240 */
   0x80, 1, 60*4,  0x00, 1, 28*4, 
/* 0x04  +246 */
   0x80, 1, 44*4,  0x00, 1, 12*4, 
/* 0x03  +252 */
   0x80, 1, 52*4,  0x00, 1, 20*4, 
/* 0x02  +258 */
   0x80, 1, 36*4,  0x00, 1, 56*4, 
/* 0x01  +264 */
   0x80, 1, 24*4,  0x00, 1, 40*4, 
/* 0x00  +270 */
   0x80, 1, 48*4,  0x00, 1,  0*4
},

         VC1_LOW_TTMB_TAB[] =
{
/* CODE SZ   TYPE             LEVEL               CODED */
   0xF0, 4, (VC1_VST_TYPE_4x4|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_BLK_INIT),
   0xE0, 4, (VC1_VST_TYPE_8x4|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_8x4_TOP|VC1_VST_CODED_SUB_INIT),
   0xC0, 3, (VC1_VST_TYPE_8x8|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_8x8_ALL|VC1_VST_CODED_SUB_INIT),
   0x80, 2, (VC1_VST_TYPE_8x8|VC1_VST_LEVEL_MACRO|VC1_VST_CODED_8x8_ALL),
   0x60, 3, (VC1_VST_TYPE_4x8|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_4x8_LFT|VC1_VST_CODED_SUB_INIT),
   0x40, 3, (VC1_VST_TYPE_4x8|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_4x8_RGT|VC1_VST_CODED_SUB_INIT),
   0x30, 4, (VC1_VST_TYPE_4x8|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_4x8_ALL|VC1_VST_CODED_SUB_INIT),
   0x28, 5, (VC1_VST_TYPE_8x4|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_8x4_ALL|VC1_VST_CODED_SUB_INIT),
   0x24, 6, (VC1_VST_TYPE_8x4|VC1_VST_LEVEL_MACRO|VC1_VST_CODED_8x4_ALL|VC1_VST_CODED_SUB_INIT),
   0x22, 7, (VC1_VST_TYPE_4x8|VC1_VST_LEVEL_MACRO|VC1_VST_CODED_4x8_ALL|VC1_VST_CODED_SUB_INIT),
   0x21, 1, (VC1_VST_TYPE_8x4|VC1_VST_LEVEL_MACRO|VC1_VST_CODED_8x4_TOP|VC1_VST_CODED_SUB_INIT),
   0x20,OFF(6),
   0x00, 3, (VC1_VST_TYPE_8x4|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_8x4_BOT|VC1_VST_CODED_SUB_INIT),
/* 0x20  +39 */
   0x80, 1, (VC1_VST_TYPE_4x8|VC1_VST_LEVEL_MACRO|VC1_VST_CODED_4x8_LFT|VC1_VST_CODED_SUB_INIT),
   0x40, 2, (VC1_VST_TYPE_8x4|VC1_VST_LEVEL_MACRO|VC1_VST_CODED_8x4_BOT|VC1_VST_CODED_SUB_INIT),
   0x20, 3, (VC1_VST_TYPE_4x8|VC1_VST_LEVEL_MACRO|VC1_VST_CODED_4x8_RGT|VC1_VST_CODED_SUB_INIT),
   0x00, 3, (VC1_VST_TYPE_4x4|VC1_VST_LEVEL_MACRO)
},
         VC1_MED_TTMB_TAB[] =
{
/* CODE SZ   TYPE             LEVEL               CODED */
   0xF0, 4, (VC1_VST_TYPE_4x8|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_4x8_RGT|VC1_VST_CODED_SUB_INIT),
   0xE0, 4, (VC1_VST_TYPE_4x8|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_4x8_LFT|VC1_VST_CODED_SUB_INIT),
   0xC0, 3, (VC1_VST_TYPE_8x8|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_8x8_ALL|VC1_VST_CODED_SUB_INIT),
   0x80, 2, (VC1_VST_TYPE_8x8|VC1_VST_LEVEL_MACRO|VC1_VST_CODED_8x8_ALL),
   0x70, 4, (VC1_VST_TYPE_8x4|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_8x4_ALL|VC1_VST_CODED_SUB_INIT),
   0x60, 4, (VC1_VST_TYPE_8x4|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_8x4_BOT|VC1_VST_CODED_SUB_INIT),
   0x40, 3, (VC1_VST_TYPE_4x4|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_BLK_INIT),
   0x30, 4, (VC1_VST_TYPE_8x4|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_8x4_TOP|VC1_VST_CODED_SUB_INIT),
   0x2C, 6, (VC1_VST_TYPE_8x4|VC1_VST_LEVEL_MACRO|VC1_VST_CODED_8x4_ALL|VC1_VST_CODED_SUB_INIT),
   0x2A, 7, (VC1_VST_TYPE_4x8|VC1_VST_LEVEL_MACRO|VC1_VST_CODED_4x8_ALL|VC1_VST_CODED_SUB_INIT),
   0x28, 7, (VC1_VST_TYPE_8x4|VC1_VST_LEVEL_MACRO|VC1_VST_CODED_8x4_BOT|VC1_VST_CODED_SUB_INIT),
   0x24, 6, (VC1_VST_TYPE_4x8|VC1_VST_LEVEL_MACRO|VC1_VST_CODED_4x8_RGT|VC1_VST_CODED_SUB_INIT),
   0x22, 7, (VC1_VST_TYPE_8x4|VC1_VST_LEVEL_MACRO|VC1_VST_CODED_8x4_TOP|VC1_VST_CODED_SUB_INIT),
   0x21, 8, (VC1_VST_TYPE_4x8|VC1_VST_LEVEL_MACRO|VC1_VST_CODED_4x8_LFT|VC1_VST_CODED_SUB_INIT),
   0x20, 8, (VC1_VST_TYPE_4x4|VC1_VST_LEVEL_MACRO),
   0x00, 3, (VC1_VST_TYPE_4x8|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_4x8_ALL|VC1_VST_CODED_SUB_INIT)
},
         VC1_HGH_TTMB_TAB[] =
{
/* CODE SZ   TYPE             LEVEL               CODED */
   0xC0, 2, (VC1_VST_TYPE_8x8|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_8x8_ALL|VC1_VST_CODED_SUB_INIT),
   0xBE, 7, (VC1_VST_TYPE_8x4|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_8x4_TOP|VC1_VST_CODED_SUB_INIT),
   0xBD,OFF(27),
   0xBC,OFF(30),
   0xB8, 6, (VC1_VST_TYPE_8x4|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_8x4_BOT|VC1_VST_CODED_SUB_INIT),
   0xB0, 5, (VC1_VST_TYPE_4x8|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_4x8_RGT|VC1_VST_CODED_SUB_INIT),
   0xA8, 5, (VC1_VST_TYPE_4x8|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_4x8_LFT|VC1_VST_CODED_SUB_INIT),
   0xA0, 5, (VC1_VST_TYPE_8x8|VC1_VST_LEVEL_MACRO|VC1_VST_CODED_8x8_ALL),
   0x80, 3, (VC1_VST_TYPE_4x4|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_BLK_INIT),
   0x40, 2, (VC1_VST_TYPE_4x8|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_4x8_ALL|VC1_VST_CODED_SUB_INIT),
   0x00, 2, (VC1_VST_TYPE_8x4|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_8x4_ALL|VC1_VST_CODED_SUB_INIT),
/* 0xBD  +33 */
   0x80, 1, (VC1_VST_TYPE_8x4|VC1_VST_LEVEL_MACRO|VC1_VST_CODED_8x4_ALL|VC1_VST_CODED_SUB_INIT),
   0x00, 1, (VC1_VST_TYPE_4x4|VC1_VST_LEVEL_MACRO),
/* 0xBC  +39 */
   0x80, 1, (VC1_VST_TYPE_8x4|VC1_VST_LEVEL_MACRO|VC1_VST_CODED_8x4_TOP|VC1_VST_CODED_SUB_INIT),
   0x40, 2, (VC1_VST_TYPE_8x4|VC1_VST_LEVEL_MACRO|VC1_VST_CODED_8x4_BOT|VC1_VST_CODED_SUB_INIT),
   0x20, 3, (VC1_VST_TYPE_4x8|VC1_VST_LEVEL_MACRO|VC1_VST_CODED_4x8_ALL|VC1_VST_CODED_SUB_INIT),
   0x10, 4, (VC1_VST_TYPE_4x8|VC1_VST_LEVEL_MACRO|VC1_VST_CODED_4x8_LFT|VC1_VST_CODED_SUB_INIT),
   0x00, 4, (VC1_VST_TYPE_4x8|VC1_VST_LEVEL_MACRO|VC1_VST_CODED_4x8_RGT|VC1_VST_CODED_SUB_INIT)
},

         VC1_LOW_TTBLK_TAB[] =
{
/* CODE SZ   TYPE             LEVEL               CODED */
   0xE0, 3, (VC1_VST_TYPE_4x8|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_4x8_LFT|VC1_VST_CODED_SUB_INIT),
   0xC0, 3, (VC1_VST_TYPE_4x8|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_4x8_RGT|VC1_VST_CODED_SUB_INIT),
   0xB0, 4, (VC1_VST_TYPE_8x4|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_8x4_TOP|VC1_VST_CODED_SUB_INIT),
   0xA0, 4, (VC1_VST_TYPE_8x4|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_8x4_ALL|VC1_VST_CODED_SUB_INIT),
   0x80, 3, (VC1_VST_TYPE_8x4|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_8x4_BOT|VC1_VST_CODED_SUB_INIT),
   0x40, 2, (VC1_VST_TYPE_8x8|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_8x8_ALL|VC1_VST_CODED_SUB_INIT),
   0x20, 3, (VC1_VST_TYPE_4x4|VC1_VST_LEVEL_BLOCK),
   0x00, 3, (VC1_VST_TYPE_4x8|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_4x8_ALL|VC1_VST_CODED_SUB_INIT)
},
         VC1_MED_TTBLK_TAB[] =
{
/* CODE SZ   TYPE             LEVEL               CODED */
   0xC0, 2, (VC1_VST_TYPE_8x8|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_8x8_ALL|VC1_VST_CODED_SUB_INIT),
   0xA0, 3, (VC1_VST_TYPE_4x8|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_4x8_ALL|VC1_VST_CODED_SUB_INIT),
   0x90, 4, (VC1_VST_TYPE_8x4|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_8x4_TOP|VC1_VST_CODED_SUB_INIT),
   0x80, 4, (VC1_VST_TYPE_8x4|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_8x4_BOT|VC1_VST_CODED_SUB_INIT),
   0x60, 3, (VC1_VST_TYPE_8x4|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_8x4_ALL|VC1_VST_CODED_SUB_INIT),
   0x40, 3, (VC1_VST_TYPE_4x4|VC1_VST_LEVEL_BLOCK),
   0x20, 3, (VC1_VST_TYPE_4x8|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_4x8_LFT|VC1_VST_CODED_SUB_INIT),
   0x00, 3, (VC1_VST_TYPE_4x8|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_4x8_RGT|VC1_VST_CODED_SUB_INIT)
},
         VC1_HGH_TTBLK_TAB[] =
{
/* CODE SZ   TYPE             LEVEL               CODED */
   0xC0, 2, (VC1_VST_TYPE_8x8|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_8x8_ALL|VC1_VST_CODED_SUB_INIT),
   0xA0, 3, (VC1_VST_TYPE_4x4|VC1_VST_LEVEL_BLOCK),
   0x98, 5, (VC1_VST_TYPE_4x8|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_4x8_LFT|VC1_VST_CODED_SUB_INIT),
   0x90, 5, (VC1_VST_TYPE_4x8|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_4x8_RGT|VC1_VST_CODED_SUB_INIT),
   0x88, 5, (VC1_VST_TYPE_8x4|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_8x4_BOT|VC1_VST_CODED_SUB_INIT),
   0x80, 5, (VC1_VST_TYPE_8x4|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_8x4_TOP|VC1_VST_CODED_SUB_INIT),
   0x40, 2, (VC1_VST_TYPE_4x8|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_4x8_ALL|VC1_VST_CODED_SUB_INIT),
   0x00, 2, (VC1_VST_TYPE_8x4|VC1_VST_LEVEL_BLOCK|VC1_VST_CODED_8x4_ALL|VC1_VST_CODED_SUB_INIT)
},

         VC1_LOW4_TTSUBBLK_TAB[] =
{
/* CODE SZ         CODED */
   0xF0, 4, /*15*/(VC1_VST_CODED_4x4_ALL),
   0xE8, 5, /*11*/(VC1_VST_CODED_4x4_TOPLFT|VC1_VST_CODED_4x4_BOTLFT|VC1_VST_CODED_4x4_BOTRGT),
   0xE0, 5, /* 7*/(VC1_VST_CODED_4x4_TOPRGT|VC1_VST_CODED_4x4_BOTLFT|VC1_VST_CODED_4x4_BOTRGT),
   0xC0, 3, /* 2*/(VC1_VST_CODED_4x4_BOTLFT),
   0xA0, 3, /* 1*/(VC1_VST_CODED_4x4_BOTRGT),
   0x98, 5, /*13*/(VC1_VST_CODED_4x4_TOPLFT|VC1_VST_CODED_4x4_TOPRGT|VC1_VST_CODED_4x4_BOTRGT),
   0x90, 5, /*14*/(VC1_VST_CODED_4x4_TOPLFT|VC1_VST_CODED_4x4_TOPRGT|VC1_VST_CODED_4x4_BOTLFT),
   0x80, 4, /* 5*/(VC1_VST_CODED_4x4_TOPRGT|VC1_VST_CODED_4x4_BOTRGT),
   0x60, 3, /* 8*/(VC1_VST_CODED_4x4_TOPLFT),
   0x40, 3, /* 4*/(VC1_VST_CODED_4x4_TOPRGT),
   0x30, 4, /*10*/(VC1_VST_CODED_4x4_TOPLFT|VC1_VST_CODED_4x4_BOTLFT),
   0x20, 4, /* 3*/(VC1_VST_CODED_4x4_BOTLFT|VC1_VST_CODED_4x4_BOTRGT),
   0x10, 4, /*12*/(VC1_VST_CODED_4x4_TOPLFT|VC1_VST_CODED_4x4_TOPRGT),
   0x08, 5, /* 9*/(VC1_VST_CODED_4x4_TOPLFT|VC1_VST_CODED_4x4_BOTRGT),
   0x00, 5, /* 6*/(VC1_VST_CODED_4x4_TOPRGT|VC1_VST_CODED_4x4_BOTLFT)
},
         VC1_MED4_TTSUBBLK_TAB[] =
{
/* CODE SZ         CODED */
   0xF0, 4, /* 4*/(VC1_VST_CODED_4x4_TOPRGT),
   0xE0, 4, /* 1*/(VC1_VST_CODED_4x4_BOTRGT),
   0xD0, 4, /* 8*/(VC1_VST_CODED_4x4_TOPLFT),
   0xC8, 5, /*11*/(VC1_VST_CODED_4x4_TOPLFT|VC1_VST_CODED_4x4_BOTLFT|VC1_VST_CODED_4x4_BOTRGT),
   0xC0, 5, /*13*/(VC1_VST_CODED_4x4_TOPLFT|VC1_VST_CODED_4x4_TOPRGT|VC1_VST_CODED_4x4_BOTRGT),
   0xB8, 5, /* 7*/(VC1_VST_CODED_4x4_TOPRGT|VC1_VST_CODED_4x4_BOTLFT|VC1_VST_CODED_4x4_BOTRGT),
   0xB0, 5, /*14*/(VC1_VST_CODED_4x4_TOPLFT|VC1_VST_CODED_4x4_TOPRGT|VC1_VST_CODED_4x4_BOTLFT),
   0xA0, 4, /* 5*/(VC1_VST_CODED_4x4_TOPRGT|VC1_VST_CODED_4x4_BOTRGT),
   0x90, 4, /*10*/(VC1_VST_CODED_4x4_TOPLFT|VC1_VST_CODED_4x4_BOTLFT),
   0x80, 4, /* 3*/(VC1_VST_CODED_4x4_BOTLFT|VC1_VST_CODED_4x4_BOTRGT),
   0x40, 2, /*15*/(VC1_VST_CODED_4x4_ALL),
   0x30, 4, /*12*/(VC1_VST_CODED_4x4_TOPLFT|VC1_VST_CODED_4x4_TOPRGT),
   0x28, 5, /* 9*/(VC1_VST_CODED_4x4_TOPLFT|VC1_VST_CODED_4x4_BOTRGT),
   0x20, 5, /* 6*/(VC1_VST_CODED_4x4_TOPRGT|VC1_VST_CODED_4x4_BOTLFT),
   0x00, 3, /* 2*/(VC1_VST_CODED_4x4_BOTLFT)
},
         VC1_HGH4_TTSUBBLK_TAB[] =
{
/* CODE SZ         CODED */
   0x80, 1, /*15*/(VC1_VST_CODED_4x4_ALL),
   0x78, 5, /*14*/(VC1_VST_CODED_4x4_TOPLFT|VC1_VST_CODED_4x4_TOPRGT|VC1_VST_CODED_4x4_BOTLFT),
   0x70, 5, /* 1*/(VC1_VST_CODED_4x4_BOTRGT),
   0x6C, 6, /* 9*/(VC1_VST_CODED_4x4_TOPLFT|VC1_VST_CODED_4x4_BOTRGT),
   0x68, 6, /* 6*/(VC1_VST_CODED_4x4_TOPRGT|VC1_VST_CODED_4x4_BOTLFT),
   0x60, 5, /* 2*/(VC1_VST_CODED_4x4_BOTLFT),
   0x58, 5, /* 4*/(VC1_VST_CODED_4x4_TOPRGT),
   0x50, 5, /* 8*/(VC1_VST_CODED_4x4_TOPLFT),
   0x48, 5, /* 5*/(VC1_VST_CODED_4x4_TOPRGT|VC1_VST_CODED_4x4_BOTRGT),
   0x40, 5, /*10*/(VC1_VST_CODED_4x4_TOPLFT|VC1_VST_CODED_4x4_BOTLFT),
   0x38, 5, /* 3*/(VC1_VST_CODED_4x4_BOTLFT|VC1_VST_CODED_4x4_BOTRGT),
   0x30, 5, /*12*/(VC1_VST_CODED_4x4_TOPLFT|VC1_VST_CODED_4x4_TOPRGT),
   0x20, 4, /* 7*/(VC1_VST_CODED_4x4_TOPRGT|VC1_VST_CODED_4x4_BOTLFT|VC1_VST_CODED_4x4_BOTRGT),
   0x10, 4, /*13*/(VC1_VST_CODED_4x4_TOPLFT|VC1_VST_CODED_4x4_TOPRGT|VC1_VST_CODED_4x4_BOTRGT),
   0x00, 4, /*11*/(VC1_VST_CODED_4x4_TOPLFT|VC1_VST_CODED_4x4_BOTLFT|VC1_VST_CODED_4x4_BOTRGT)
},

         VC1_ALL2_TTSUBBLK_TAB[] =
{
/* CODE SZ  CODED */
   0xC0, 2, VC1_VST_CODED_8x4_TOP,
   0x80, 2, VC1_VST_CODED_8x4_BOT,
   0x00, 1, VC1_VST_CODED_8x4_ALL
};


const u8 *VC1_DC_DIFF_TAB[]             = {VC1_LUMA_DC_DIFF0_TAB,
                                           VC1_LUMA_DC_DIFF1_TAB,
                                           0, 0,
                                           VC1_CHROMA_DC_DIFF0_TAB,
                                           VC1_CHROMA_DC_DIFF1_TAB},
         *VC1_AC_INDEX_TAB[]            = {VC1_LUMA_AC_INDEX0_TAB,
                                           VC1_LUMA_AC_INDEX1_TAB,
                                           VC1_LUMA_AC_INDEX2_TAB,
                                           VC1_LUMA_AC_INDEX3_TAB,
                                           VC1_CHROMA_AC_INDEX0_TAB,
                                           VC1_CHROMA_AC_INDEX1_TAB,
                                           VC1_CHROMA_AC_INDEX2_TAB,
                                           VC1_CHROMA_AC_INDEX3_TAB,},
         *VC1_AC_MODE3_LEVEL_SIZE_TAB[] = {VC1_AC_MODE3_LEVEL_SIZE0_TAB,
                                           VC1_AC_MODE3_LEVEL_SIZE1_TAB},
         *VC1_MV_DIFF_TAB[]             = {VC1_MV_DIFF0_TAB,
                                           VC1_MV_DIFF1_TAB,
                                           VC1_MV_DIFF2_TAB,
                                           VC1_MV_DIFF3_TAB},
         *VC1_PB_CBP_TAB[]              = {VC1_PB_CBP0_TAB,
                                           VC1_PB_CBP1_TAB,
                                           VC1_PB_CBP2_TAB,
                                           VC1_PB_CBP3_TAB},
         *VC1_TTMB_TAB[]                = {VC1_LOW_TTMB_TAB,
                                           VC1_MED_TTMB_TAB,
                                           VC1_HGH_TTMB_TAB},
         *VC1_TTBLK_TAB[]               = {VC1_LOW_TTBLK_TAB,
                                           VC1_MED_TTBLK_TAB,
                                           VC1_HGH_TTBLK_TAB},
         *VC1_TTSUBBLK_TAB[]            = {VC1_LOW4_TTSUBBLK_TAB,
                                           VC1_MED4_TTSUBBLK_TAB,
                                           VC1_HGH4_TTSUBBLK_TAB,
                                           VC1_ALL2_TTSUBBLK_TAB};

#undef OFF

